(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    105525,       2428]
NotebookOptionsPosition[    102950,       2337]
NotebookOutlinePosition[    103323,       2354]
CellTagsIndexPosition[    103280,       2351]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{"Import", "[", 
      RowBox[{
      "\"\</Users/ckfisher/Dropbox/Bagging/bodyfat\>\"", ",", 
       "\"\<Table\>\""}], "]"}], ",", "All", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"W", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{"data", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"W", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{"Delete", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", "W", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "3", "}"}], ",", 
          RowBox[{"{", "4", "}"}]}], "}"}]}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "W", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", "W", "]"}], "[", 
          RowBox[{"[", "4", "]"}], "]"}], "^", "2"}], ")"}]}]}], "]"}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.61201694145625*^9, 3.612016988860507*^9}, {
  3.61201806117693*^9, 3.612018078087749*^9}, {3.612018316359969*^9, 
  3.6120183234894657`*^9}, {3.6120183946104527`*^9, 3.6120184031237087`*^9}, {
  3.612020139995473*^9, 3.6120201501958303`*^9}, {3.612523123645939*^9, 
  3.612523124542016*^9}, {3.61252322622613*^9, 3.612523230969309*^9}, {
  3.6125248702101192`*^9, 3.6125248770857353`*^9}, {3.61252636254103*^9, 
  3.612526367751503*^9}, {3.612526409983796*^9, 3.6125264207035007`*^9}, {
  3.61252646270687*^9, 3.612526497154937*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"labels", "=", 
  RowBox[{"Drop", "[", 
   RowBox[{
    RowBox[{"data", "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"labels", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Delete", "[", 
      RowBox[{"labels", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "2", "}"}], ",", 
         RowBox[{"{", "3", "}"}]}], "}"}]}], "]"}], ",", "\"\<BMI\>\""}], 
    "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Mean", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", "W", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
   RowBox[{"StandardDeviation", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", "W", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "Input",
 CellChangeTimes->{{3.612023132060443*^9, 3.6120231344764433`*^9}, {
   3.612025245944869*^9, 3.612025258918275*^9}, {3.612526438208552*^9, 
   3.612526445914341*^9}, 3.612526486721911*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Age\"\>", ",", "\<\"Weight\"\>", ",", "\<\"Height\"\>", 
   ",", "\<\"Neck\"\>", ",", "\<\"Chest\"\>", ",", "\<\"Abdomen\"\>", 
   ",", "\<\"Hip\"\>", ",", "\<\"Thigh\"\>", ",", "\<\"Knee\"\>", 
   ",", "\<\"Ankle\"\>", ",", "\<\"Biceps_extended\"\>", 
   ",", "\<\"Forearm\"\>", ",", "\<\"Wrist\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.612025249234717*^9, 3.612025278421297*^9}, 
   3.612025324524226*^9, 3.612519046320236*^9, 3.612523127543942*^9, 
   3.612523291036128*^9, 3.6125248838104486`*^9, 3.6125264463459578`*^9, {
   3.612526487213526*^9, 3.612526527864718*^9}, 3.612527749877922*^9, 
   3.612527815030778*^9, 3.612793624004697*^9, 3.612795614329815*^9, 
   3.612797008275647*^9, 3.612798481713472*^9, 3.612800256060072*^9, 
   3.613124451643491*^9, 3.613138372047122*^9, 3.6131420492969*^9, 
   3.620039031038355*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Age\"\>", ",", "\<\"Neck\"\>", ",", "\<\"Chest\"\>", 
   ",", "\<\"Abdomen\"\>", ",", "\<\"Hip\"\>", ",", "\<\"Thigh\"\>", 
   ",", "\<\"Knee\"\>", ",", "\<\"Ankle\"\>", ",", "\<\"Biceps_extended\"\>", 
   ",", "\<\"Forearm\"\>", ",", "\<\"Wrist\"\>", ",", "\<\"BMI\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.612025249234717*^9, 3.612025278421297*^9}, 
   3.612025324524226*^9, 3.612519046320236*^9, 3.612523127543942*^9, 
   3.612523291036128*^9, 3.6125248838104486`*^9, 3.6125264463459578`*^9, {
   3.612526487213526*^9, 3.612526527864718*^9}, 3.612527749877922*^9, 
   3.612527815030778*^9, 3.612793624004697*^9, 3.612795614329815*^9, 
   3.612797008275647*^9, 3.612798481713472*^9, 3.612800256060072*^9, 
   3.613124451643491*^9, 3.613138372047122*^9, 3.6131420492969*^9, 
   3.6200390310416727`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"19.15079365079365`", ",", "8.368740413029709`"}], "}"}]], "Output",\

 CellChangeTimes->{{3.612025249234717*^9, 3.612025278421297*^9}, 
   3.612025324524226*^9, 3.612519046320236*^9, 3.612523127543942*^9, 
   3.612523291036128*^9, 3.6125248838104486`*^9, 3.6125264463459578`*^9, {
   3.612526487213526*^9, 3.612526527864718*^9}, 3.612527749877922*^9, 
   3.612527815030778*^9, 3.612793624004697*^9, 3.612795614329815*^9, 
   3.612797008275647*^9, 3.612798481713472*^9, 3.612800256060072*^9, 
   3.613124451643491*^9, 3.613138372047122*^9, 3.6131420492969*^9, 
   3.620039031043598*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Position", "[", 
     RowBox[{
      RowBox[{"Sort", "[", 
       RowBox[{"rYX", "^", "2"}], "]"}], ",", "#"}], "]"}], "&"}], "/@", 
   RowBox[{"(", 
    RowBox[{"rYX", "^", "2"}], ")"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", "2", "}"}]], "Output",
 CellChangeTimes->{3.612795637257615*^9, 3.61279700832627*^9, 
  3.61279848176381*^9, 3.612800256141823*^9, 3.6131244516952972`*^9, 
  3.613138372096766*^9, 3.613142049346189*^9, 3.620039031088852*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rYX", "^", "2"}]], "Input",
 CellChangeTimes->{{3.612795658207555*^9, 3.61279565994874*^9}}],

Cell[BoxData[
 SuperscriptBox["rYX", "2"]], "Output",
 CellChangeTimes->{3.61279566026346*^9, 3.612797008426753*^9, 
  3.612798481812262*^9, 3.612800256192634*^9, 3.6131244517452583`*^9, 
  3.613138372146494*^9, 3.613142049396257*^9, 3.6200390311384478`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "-", 
        RowBox[{"Mean", "[", "#", "]"}]}], ")"}], "/", 
      RowBox[{"StandardDeviation", "[", "#", "]"}]}], "&"}], "@", 
    RowBox[{
     RowBox[{"Transpose", "[", "W", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"1.0", "*", "#"}], "-", 
          RowBox[{"Mean", "[", 
           RowBox[{"1.0", "*", "#"}], "]"}]}], ")"}], "/", 
        RowBox[{"StandardDeviation", "[", 
         RowBox[{"1.0", "*", "#"}], "]"}]}], "&"}], "/@", 
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", "W", "]"}], ",", "1"}], "]"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Length", "[", "y", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p", "=", 
    RowBox[{
     RowBox[{"Dimensions", "[", "X", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rXX", "=", 
   RowBox[{"Correlation", "[", "X", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rYX", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Correlation", "[", 
       RowBox[{"y", ",", "#"}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", "X", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmp", "=", 
   RowBox[{"Outer", "[", 
    RowBox[{"Times", ",", "rYX", ",", "rYX"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"rXX", "^", "2"}], "/", "n"}], "-", 
    RowBox[{"rXX", "*", "tmp"}], "+", 
    RowBox[{"0.5", "*", 
     RowBox[{"tmp", "^", "2"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmp", "=", 
   RowBox[{"n", "*", 
    RowBox[{"Total", "[", "J", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "[", "L_", "]"}], ":=", 
  RowBox[{
   RowBox[{"rYX", "^", "2"}], "-", 
   RowBox[{"1.0", "/", "n"}], "+", 
   RowBox[{"tmp", "/", "L"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"J", "-", 
    RowBox[{"DiagonalMatrix", "[", 
     RowBox[{"Diagonal", "[", "J", "]"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6120194200114594`*^9, 3.612019597455289*^9}, {
  3.61202011267395*^9, 3.6120201157109613`*^9}, {3.612020175211429*^9, 
  3.612020187249196*^9}, {3.612022875346239*^9, 3.612022916953013*^9}, {
  3.6120232890952883`*^9, 3.612023294820777*^9}, {3.612023438779277*^9, 
  3.612023441962653*^9}, {3.6120238568401117`*^9, 3.6120238595671263`*^9}, {
  3.6120246157219276`*^9, 3.612024618616688*^9}, {3.612024898637183*^9, 
  3.6120249019778233`*^9}, {3.612025069426621*^9, 3.612025072374387*^9}, {
  3.612025148116519*^9, 3.612025150848805*^9}, {3.61202519730901*^9, 
  3.6120252279231977`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["n"], "Input",
 CellChangeTimes->{3.620039037852056*^9}],

Cell[BoxData["252"], "Output",
 CellChangeTimes->{3.620039038601969*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", "["}]], "Input",
 CellChangeTimes->{{3.6200390390681143`*^9, 3.6200390391186447`*^9}},
 EmphasizeSyntaxErrors->True],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "X", "]"}]], "Input",
 CellChangeTimes->{{3.620039041234564*^9, 3.620039043195567*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"252", ",", "12"}], "}"}]], "Output",
 CellChangeTimes->{3.620039043635846*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["n"], "Input",
 CellChangeTimes->{3.612793661768793*^9}],

Cell[BoxData["252"], "Output",
 CellChangeTimes->{3.612793662620582*^9, 3.6127970085096407`*^9, 
  3.6127984818957033`*^9, 3.612800256276903*^9, 3.613124451827566*^9, 
  3.613138372227788*^9, 3.613142049477359*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["p"], "Input",
 CellChangeTimes->{3.612793663918517*^9}],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{3.6127936642379713`*^9, 3.612797008560115*^9, 
  3.612798481946303*^9, 3.612800256325924*^9, 3.613124451879232*^9, 
  3.6131383722800426`*^9, 3.613142049530402*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"2", "^", "12"}], "-", "1"}]], "Input",
 CellChangeTimes->{{3.6127950022832823`*^9, 3.612795003391212*^9}}],

Cell[BoxData["4095"], "Output",
 CellChangeTimes->{3.6127950037516623`*^9, 3.612797008609812*^9, 
  3.612798481996097*^9, 3.61280025637635*^9, 3.613124451929249*^9, 
  3.613138372330512*^9, 3.613142049582383*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"scale", "=", 
   RowBox[{"(", 
    RowBox[{"n", 
     RowBox[{"(", 
      RowBox[{"1.0", "+", 
       RowBox[{"p", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Total", "[", 
             RowBox[{
              RowBox[{"rXX", "^", "2"}], ",", "2"}], "]"}], "-", "p"}], ")"}],
           "/", 
          RowBox[{"(", 
           RowBox[{"p", 
            RowBox[{"(", 
             RowBox[{"p", "-", "1.0"}], ")"}]}], ")"}]}], "]"}]}]}], ")"}]}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"scale", " ", "=", " ", 
    RowBox[{"n", " ", "p"}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6125310829083652`*^9, 3.612531090477306*^9}, {
   3.6125311233851013`*^9, 3.612531145583289*^9}, 3.612802657752043*^9, {
   3.612802698904296*^9, 3.612802702469748*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0.0", ",", 
     RowBox[{"{", "p", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L1", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dL1", "=", 
   RowBox[{"0.05", "/", 
    RowBox[{"(", "scale", ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"L1", "=", 
       RowBox[{"L1", "+", "dL1"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"m", "=", 
       RowBox[{"Tanh", "[", 
        RowBox[{"L1", " ", 
         RowBox[{
          RowBox[{"n", "^", "2"}], "/", 
          RowBox[{"(", "4.0", ")"}]}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"h", "[", 
            RowBox[{"1.0", "/", "L1"}], "]"}], "+", 
           RowBox[{"L1", " ", 
            RowBox[{"n", "/", 
             RowBox[{"(", "2.0", ")"}]}], 
            RowBox[{"(", 
             RowBox[{"J", ".", "m"}], ")"}]}]}], ")"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"L1", ",", "m"}], "}"}]}], ",", 
     RowBox[{"{", "60", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.612019714278533*^9, 3.612019723846326*^9}, {
  3.6120197598647337`*^9, 3.612019759983459*^9}, {3.612022930574606*^9, 
  3.61202293067817*^9}, {3.61202296974387*^9, 3.6120229895759478`*^9}, {
  3.6120232633392897`*^9, 3.612023263681054*^9}, {3.6125203207068577`*^9, 
  3.612520324674925*^9}, {3.612526589257193*^9, 3.6125265894133883`*^9}, {
  3.612527659898902*^9, 3.6125276650641003`*^9}, {3.612531150241358*^9, 
  3.612531152072941*^9}, {3.6127984875706997`*^9, 3.6127985223090143`*^9}, {
  3.612801748104374*^9, 3.612801748206943*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"keep", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", ">", "0.5"}], ",", "1", ",", "0"}], "]"}], "&"}], "/@", 
      
      RowBox[{
       RowBox[{"M", "[", 
        RowBox[{"[", "20", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ",", "1"}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.61312445814159*^9, 3.613124516534724*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "3", ",", "4", ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{{3.613124464813184*^9, 3.613124517061243*^9}, 
   3.613142049693026*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"labels", "[", 
    RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "keep"}]], "Input",
 CellChangeTimes->{{3.6131245244274693`*^9, 3.6131245299186087`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Age\"\>", ",", "\<\"Chest\"\>", ",", "\<\"Abdomen\"\>", 
   ",", "\<\"Hip\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.613124530578463*^9, 3.613142049746089*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"rYX", "[", 
    RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "keep"}]], "Input",
 CellChangeTimes->{{3.613124545527466*^9, 3.613124553103423*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.2914584401352219`", ",", "0.7026203388938643`", ",", 
   "0.8134322847810491`", ",", "0.6252009175086625`"}], "}"}]], "Output",
 CellChangeTimes->{3.613124553812726*^9, 3.613142049797513*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"X2", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Transpose", "[", "X", "]"}], "[", 
       RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "keep"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.613124562828204*^9, 3.613124606249571*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PseudoInverse", "[", "X2", "]"}], ".", "y"}]], "Input",
 CellChangeTimes->{{3.613124609846874*^9, 3.613124620937519*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.017366794762224174`", ",", 
   RowBox[{"-", "0.20140159098924604`"}], ",", "1.2738503342944876`", ",", 
   RowBox[{"-", "0.32030798006233585`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.613124621632498*^9, 3.6131420498771544`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tuples", "=", 
   RowBox[{"Tuples", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "p"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a0", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b0", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"exact", "=", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"L0", "=", 
        RowBox[{"1.0", "/", "l"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"jerk", "=", 
        RowBox[{"Table", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Total", "[", 
              RowBox[{"tuples", "[", 
               RowBox[{"[", "j", "]"}], "]"}], "]"}], "==", "0"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"tuples", "[", 
               RowBox[{"[", "j", "]"}], "]"}], ",", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"a0", "+", 
                   RowBox[{"0.5", "n"}]}], ")"}]}], "*", 
                RowBox[{"Log", "[", 
                 RowBox[{"b0", "+", 
                  RowBox[{"0.5", 
                   RowBox[{"(", 
                    RowBox[{"y", ".", "y"}], ")"}]}]}], "]"}]}], "]"}]}], 
             "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"X0", "=", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"X", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                   RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
                 RowBox[{"Flatten", "[", 
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"tuples", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", "1"}], "]"}], 
                  "]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"B0", "=", 
              RowBox[{
               RowBox[{"Inverse", "[", 
                RowBox[{
                 RowBox[{"L0", "*", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{
                    RowBox[{"Dimensions", "[", "X0", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Transpose", "[", "X0", "]"}], ".", "X0"}]}], "]"}],
                ".", 
               RowBox[{"Transpose", "[", "X0", "]"}], ".", "y"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"tuples", "[", 
                RowBox[{"[", "j", "]"}], "]"}], ",", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"0.5", "*", 
                  RowBox[{"Log", "[", 
                   RowBox[{"Det", "[", 
                    RowBox[{"L0", "*", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{
                    RowBox[{"Dimensions", "[", "X0", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "]"}]}], 
                 "-", 
                 RowBox[{"0.5", "*", 
                  RowBox[{"Log", "[", 
                   RowBox[{"Det", "[", 
                    RowBox[{
                    RowBox[{"L0", "*", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{
                    RowBox[{"Dimensions", "[", "X0", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Transpose", "[", "X0", "]"}], ".", "X0"}]}], 
                    "]"}], "]"}]}], "-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"a0", "+", 
                    RowBox[{"0.5", "n"}]}], ")"}], "*", 
                  RowBox[{"Log", "[", 
                   RowBox[{"b0", "+", 
                    RowBox[{"0.5", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"y", ".", "y"}], "-", 
                    RowBox[{"y", ".", "X0", ".", "B0"}]}], ")"}]}]}], 
                   "]"}]}]}], "]"}]}], "}"}]}]}], "\[IndentingNewLine]", 
           "]"}], "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"Length", "[", "tuples", "]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Z", "=", 
        RowBox[{"Total", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", "jerk", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"post", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "/", "Z"}]}], "}"}], "&"}], "/@",
          "jerk"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"marginals", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Total", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"Select", "[", 
              RowBox[{"post", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], "&"}]}], 
              "]"}], "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "p"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"l", ",", "marginals"}], "}"}]}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"l", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "M", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], "//", 
  "AbsoluteTiming"}]}], "Input",
 CellChangeTimes->{{3.612519178704571*^9, 3.61251927118363*^9}, {
  3.612519333517949*^9, 3.61251975051455*^9}, {3.612519819111396*^9, 
  3.612519819638362*^9}, {3.612519986033156*^9, 3.6125200135269747`*^9}, {
  3.6125200951862173`*^9, 3.612520096137801*^9}, {3.612520135779525*^9, 
  3.612520162963979*^9}, {3.612520270172513*^9, 3.61252031313522*^9}, {
  3.61252037362868*^9, 3.612520392986166*^9}, {3.612520634868533*^9, 
  3.6125206711746273`*^9}, {3.6125210731024637`*^9, 3.612521075597569*^9}, {
  3.612794972745265*^9, 3.6127949864962053`*^9}, {3.6131420398444767`*^9, 
  3.6131420664393377`*^9}, {3.613142266784631*^9, 3.6131423100770807`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"311.36274`8.944811633903488", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.613142066881205*^9, 3.613142306717478*^9, 
  3.613142622737359*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"approx", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"1.0", "+", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}], "&"}], "/@", 
    "M"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6125208228460093`*^9, 3.6125208262419863`*^9}, 
   3.6125222877149553`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"exact", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "-", 
      RowBox[{
       RowBox[{"approx", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "60"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.613139095667492*^9, 3.61313917296141*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJw1zntIE1AUx/GDf4j1h5gGCS1bKjZKpy51uqn7ufl+bWVmkaKbD9JIRUwk
KVYWIoZsmaSRtUQxQWKWb1fNJFTEEEoQilSwSCtRUwOtbOHxwuHyuV8O3CO6
olO5dkQUapv/985ZVhAWzO+X9r3iB5DpQ+H6ljvbAZR10TgkFbOdQK6pVR63
A9n7QcFTa3vFYWxX0OlOBzeJii0ABchG5vti2UJQ+th3S4Ca7Q4adZnUxqew
PUHz2yuitDS2FyhI1Obx6DxbBPrYfit8PZN9DORXXPLOScf2BhWUFpxZyWaL
bft63WpZLtsP1DGrnC7PY/uDJLEbT8Z3LQFNOQWNKXd9AuSfoFzuzGEHgNT5
2pElLTsQ9GmxsLtl939BoCuXm/xLNWwpCH8FskohOxhkCL9fVaJW7DgEdEme
sVatY8tA23WSGucithx6Y1V9+3AZOxQUFhm/uXWNHQartEbYL7jJDgcehlwP
jKhmK0Aqi8/cj1o2IDTo8n4b7+xYD2S9NY6Ur9Rzj4BQYFV8qWvkHgF99nKF
b1kTdyWKD9z72TZm4q6E5mCFs91qM3cVqDezW+Xbyt1m78cbxyvauEcCA5vf
tibauUfCYJxUpbl1cI+C6XWhs1z7lHsUzHOWrkNRZu7R8LNXex2N7uQeDeu4
OW3Q5xn3GEzXpnSM/2LrY2Cu9tSJW55zjwXsW3sbgru42yx/8+fcEJvi0NA4
XKZRd3OPQ6y76e78KpviMXlV97myp4d7PPqke6Y1D3q5J2DWxbFFYurjnoAL
6anKocF+7ok4mzMzc3hhgHsivobfyHD0tHBPgkY0EbKY/4J7EgzJm7Lk/pfc
k5HVfHJ0wsGq+AcXNQVX
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw1z2tI01EYx/E/RhCM0MgXooIzhonaxXvmdD/n3Nx0ppkmEm7piswsu1Fq
LyaJSDokFELBslBaDU1NsKLlZqmZTrKVVA43l5dMDVPfDFQqfM6Bw+HzfN+c
xz//0vEzbhzHCf/d/+/2WRFx6qq8RWVUHw3ACTxqN++kkXeB29B7dx47SfYA
J11omDZlkT3BOTR99qUDZC9wgRtTlsnTom37QqtOf6jklZL5QNObCvfd1eR9
cARHhtd01JMFMBnTK+sKmskBKCkd2t+ubyUHIj0zTpxnNZCDEJjQzrMJuskh
KGmWPXfb00s+CDW3GevR+5p8GK19PflbOjM5FPqXmSHlfgPkMLy/EVvk4A2T
w7HkcK6NKyzkCEToRpZH5z+SI8F/pGoclFjJUSjjn6251v2FHA1XdtPPHQFf
yUcwIczNUDd8J8dAEnzomHPVRj6Kqhzl44VoOzkWg3XmNEO7gyzEufJFVbFh
mhwHcd1AoXu9kxyPB/xEl6rgB1kEW/WpcU/fGTLQqkLLUyNZC/z2WfAQymep
J2Bv4fqrEyayNgG1sWGf3wrmqItRa7y7dPkmWSuGvE1tEhpZT0SO1+0Y2zrr
iXjhaMq28uepS1AZFL9WLCZrJbjQvJUznMt6EsZs9i7nedaTkFUrW267yroU
H8rkXa7rrEtRsersH7rCugz3NTyLWxHrMuhd+YonKtaTcS9xhTNnsJ6MsEZd
ZwL7DyeHY2xGsBjKuhzjUrvGx591Beb9dJ0j7qwr0KL5M2ncZPunoGNq57ue
X2z/FKjbOGX9BOupCNl6plGZWU/FJ+u30WgD60oMJnlbZQ2sK+Eltlw03mI9
DZIBz9l+zZzoL1D5H9I=
     "]]}, 
   {Hue[0.1421359549995791, 0.6, 0.6], PointBox[CompressedData["
1:eJw1yQ0sFHAYx/F/JWO0DmnuMkVN3ibOu8TPnfdzDW2XNdNJrVqN8zr04jTN
WSnWFqddbrRVNENqkru890LLvM2RyrSi4c6yNtb0Mo9ne/bs83ztT6UnnNnK
GAv6t//vxhhCWO9s7vhlwSt6gLmploOtJWQTsAhOmcLtJJkDlll/TCZKJu8C
s+xSNo7Hk23AbFL9c535IRu2BROtqxY4KeR9YPPmZst2GWQHyCf1RfrcAvIB
yG9Lthk7XSM7At9XVhSRJWQnyPN1oZeUN8kuYHWn3XWWFWQ3dP5cv574+w7Z
HUw70XORU0n2gDrXvN1eUk32hPRz0h/FiIrMh8z33HRFv5rsBVZqtn+gu5bs
DanqY43u0wOyDwz+gTsyeA/JvkDcQfV89mOyHzrr9EbNiw1kf5Tf8pvWFDeS
A1CuTS7IVzWRA1HVqDbwTVvIh8HJ4k0ISp6SgyDzwJIV7xn5CB5V2vb39T4n
ByNu3rPB90YbOQRt/dwTTpntZOCNcEtKZWHHhuVAngX3rPSllnoopAk1ZY5V
ndRD4XH8g+ngry7qAhgS18/LinuoC8DqV5194vqoC2Fyn8ma0l5TF0JRt1o4
t/aWehiG5DPzht3vqYch+9C9tK85Q9TDwV/rSh0bGaYejg7Z6nRNxxj1CLQt
3zXXCHTUI8D2BiS6XpimHgneHkdja4sZ6pFQpJs071TOUo9CqyZw+wuHb9Sj
0J00KGFX5qhHY0HqGu8p/0E9GqXBWbIp7gL1GFgOJXqHiRepx6DIrkJY7bJE
XYSrVjkZ4j6yXISWL8pJjbueeize8bLyhrPJ8lgIqwbKvWo3uxit3NIno9rN
LoaR8WhbztBmP4qAqnZvmyl9yF/X5gvp
     "]]}, 
   {Hue[0.37820393249936934`, 0.6, 0.6], PointBox[CompressedData["
1:eJw10ntIU1EcwPGfBSFBZRBcG7U2s8iUMvdo6XK/bNOsNWpOs7SXr0ynU5dh
IHUsMWhiFj6yNntoBb5Ak8xBFGoPCmsV9pcpq5FJEdHjj4SiE/7Ohcvlc7/3
XO459yizHNbcOQCg5+f/6+zxzQDX5j6ad9P0gG4gtNfWqF1p5GCEgHagV59J
DkEoa4s/Lu0lL0EYt1u/J1rIoQgPe3whv+TkZQi1xeXrM5IMs1YgaKUOhZRO
DkOoH29ZbjtMDkdo7a2RbueSVyN0DsuM8qPkNQgns2Udk4XktQjdhmeti4vJ
UQjvU4z7xxzkdQiuinv1N0rI0ci++CeCYkvJGxA0zdrUAeEYhPL+q9HyMrIK
maU0M6ZEWI1s+ofzerewBpk01Lr0rbAWmdG4QDktvBHBXnOs+aOwjo/X2H++
EN6EzP9bkdomHIts1DOSlSsch3BnRK6UhPXI0s0Vd73iezfzPnVJbxWORxYX
OnZrUszXgOzs0z/DOcKIcCEvcvAxrQ/jdqvfPPeK9duCsKK92tlRRJ3ba73v
vGKnnoDQ12Y/00Drz7jzvabL7gLqWxFOFSxqHKT/xbhfXxyyfM2nbkQIM1dV
6MiMOyGpr6HuCHUTwrsumWcijzr3TLnJvJAMibwXTr36m0Od+/NKXUhTNvUk
BFlyhGqU9hPjNqtUwZUHqW9DGEnH+aYM6tznWrrCq/ZQT0ZgM6sy3Dbq3HWn
mwJPrNS38/efaJSCyYwbYXe/TfQd/PmAI6o/hTq3+qUvwZxG3YxwIDLgLtpH
ndvXGfFp1yHqO7nVKRF+MT9uT2W15bzY7xZkDUEfXD1lhn90KOmS
     "]]}, 
   {Hue[0.6142719099991583, 0.6, 0.6], PointBox[CompressedData["
1:eJw1yWtIkwEUxvE3CYsaUpqRJjat5pR5ycuam7pH57xuKl2GfhAtKrQyjZCa
WS2pFEU0WVojSnKZyyjzhkSZaYmiUTZGaQMvOe9N8YNZkVZ43gOHw+/83Y5m
HzhuwzBMyL/9f9dmQcrUWcx6AV7TA4y/QLLRfIi8EcxC1UXv0DTyFjDOG/QB
may3gekM4jbPJpF3gLmmdS3ti5Ou2QVMSc/BpdwsMheMdkW5Wn2J7I6OQKkp
aKqQvAfMyUbVOsVNMg/V/es9zp6rIvPBWMe4kvP3yF5oEOan7hTWkAVgyjhM
T+sjsg/S7xS1Zbx/QvaDBrZ3s+TPyfsw0t20aflKM9kfI/XtRk/XNnIAclLE
uwZ5L8mB4JakhX1K7CAH4UKFNepqdydZiLqtzWqF+h15PzqcBI7fMnvIImj7
kldddH3kYJzOrSsWcT6QxVi2KY/KOzJAliC/fYX/It1IDoHPl72e2ddN5FCE
tTwMNn38TA7DyqBxt1I2RJaiwvdybMNXMxl461xfU1Q5vGYNkM5L/KEXjlIP
h80tU9rw4zHq4RA5NPKXuePUI9Df4vEzo9xCPQK1hsGkmfkJ6jIUFC3pdMIp
6jIc43nZi1OnqUdC5+7IcUqboR6JJPnT32fEs9TlOKE3qR0WyBo5bnPtLMaC
OepRCG4SDbUukTVR+PNmtC0j6Tv1aNi1qcYtWrImGkKX3gZVL9tjkM2ZeLW4
yPYY2G/2+/Vgu5V6LJZ78nO8RWRNLO4ny1SyFLbHwTxsCk1Rsz0Op0q1NwyV
bI/HYd+ahLJnbI+HIK+2ObKL7QqUx3SJJgfYrsCQbbySZ2a7EjbzBvXcGNuV
KOziG9wm2Z4A9z5JSPG0VfoXKt0SmA==
     "]]}, 
   {Hue[0.8503398874989481, 0.6, 0.6], PointBox[CompressedData["
1:eJw1yX0s1AEcx/Efcp2dFqWynT9IebiePJzzmPtwno5jIk3807RGOY9h7bbW
qSnjKFu0pHaVNFvW9aSaWkZJYikVRyKOOiGGwjHVfH/f7bvvXt+3XVJGzBFj
hmH8/u3/uzpTYsZCeGjCxPcFPcDcz4xNMewjc8HcQe+l84lkCzCK1OLhJtZW
YDrLWrVfpWRrMOMyPm8yVrxqGzD5WfOjxtlkWzR2C0UZ8/nkrYBrveF5cgl5
GxqjcjlOdeVkB6ibWiwlM1fJToBgfqX77U2yALa8Db734mvJO5EpVNml190l
74ZmaDRwIPUB2QWF/RVai+zHZFcUqoaub5psILtB/urYR5+sRrI7ljRZ0VmO
zWQhmGiudnlLC9kD3IHFg8/Eb8gi5BjOBMRXtpM9wdEN2sVZdpK9kL7HvbpY
/57sjZrZgqLxD11kH2xOUK9caPtE9oUiLyZV1dFN9gOjaeP39WjJe3E8qU4a
oe8j+2P9CefkNEM/WYz6c5WqdtNBMqB7Yibi8r6tWgnEVPC+qHlD1APw2vtA
wjrOMPUAlCo6BhwXyEwgwiVuIi+djnogej3kn7taRqhLsHR0dk2ZepS6BGLT
LtGNzO/Ug1Aic5kr8PhBPQhLPfoiwziZCUYTXy+JvainHozyuJcnTZ3HqIdA
bp7/J7GWrAzB74VfUYtWP6mHQuHzVLMrjawMhabCEGT0iO1hCBFkzHGm2R4G
wWn57GWHcepSVOe5mGQkkJVStL8zuTVVyvZwjDRst77SzPZw5FU4LM/MsT0C
Zjlr+X72E9QjUDnmVFUlJTMy7HjIPZWbwnYZzDf22tor2R6JQCMbz8oytkdi
2uvwfvNrbI/C2alW/9s1E+K/IUsWkg==
     "]]}, 
   {Hue[0.08640786499873876, 0.6, 0.6], PointBox[CompressedData["
1:eJw9z30sFHAcx/FfXKi0VPJwqKs8l/MUjtR9HM55OpskqZV52FQblx7Ypbn5
wx/GUI3rYaK01aJR+qetuilGGOo0MQnhSKbWpmJU8/313X777vV7//XdmZod
n2HEGAv++/7t1ZmXsvK6lokjAS/pA8xQc4bdiCObgbX8+ui8NYlsAaafsn7Y
l0i2BBPlta8s+5FtwLpKkhc8U6Srtofmt0+UVpVLFkHnIi/JuF5E3gXm0GrS
cOEK2RGiYVVz/sWbZGeIsm87xgfeJbsCK6VKu44HZHf0pgjjhLpG8l4YMhKi
dwQ9JYsxUJCvjjn+jOwF7Vyd1biVjuwNTZ5W0pX0iuyDdscIQe33NrIv9Gtk
pd0jb8j7oOgVyN1tesh+kDQ2wry9j+yPt5mHtufb68kBSFf4sm+a92QJ4rsl
HaGzA+RAzIzrT1kcHiIHQfxcd9Tt8TB5P6bCJq2NF0fIwWhO7vBfbzlKPoDq
ghedV23HyAehXqrP6twwTpZi3bnKPQHT3ECChX7Ov+nzqjXAo8TxJz/SJqiH
wET+2incaJJ6CDxk9/ovlZKZDJedJPcDTKeoy6BK33Te4yyZhSJrqDb0Zxfv
oVDloGDBzkA9DFuUX8pCTpI1YfCqcA2qr+I9HMs1n0wnWnkPx8w3h6WyGd7l
KKo2zKSZTFOXw6yy2BJCMouAE9vYH+jCewTs1VppjZh3BU73NBR/9eZdATao
1Gl9eI/ErSLRh7b/PRKjZbldRl68R+GOZ6tfkAfvUfA8UXDNxI33aGS6m1UJ
dvMejVmjVLGxHe8xWGw5Nm+2mfcYNJWpy8PX8h6LnFih88oCvz8W5u/GBIXT
/H4lCm3dKrYNGqR/ALZ2Ce8=
     "]]}, 
   {Hue[0.3224758424985268, 0.6, 0.6], PointBox[CompressedData["
1:eJw1yX0s1AEcx/FfZ5qnVmLFqI7KuKmR83Ci+xyHO0+riJpJjGsZU0S2/ugn
T3HN2pxaT2szD39U5npg5XGSOJXnPFzkoUITN7WYTlfN977bd9+9vm+7hLTj
SRyGYXz+7f+7MRohw73YyeXubqEHmJO5HJsuPtkIDEauxbj4kLeB0UTULlvx
yJZg8rp0B0rEwg1bgTlTWpwqTyDbgs2z9GjTZZC5YI2LC7orc8j2wI6H9oad
cvI+cO/UFF4QK8gOmHQ+qjRev0t2xPnK26kWheVkHrhVtSlV9dVkZ7hs6m2W
FT4mH4TWxvBGyk8l2QWtYs2sSdJzsitWy5re1pi8IB+C7bfTeaajjWQ3pLwM
riuKbyXzsfYrfc+n2DayOypmtY6ymHayB+YWtvOfRXaQPcEGZ/RJAjrJXlBM
OCrLnVRkAZ6oE+976rrJ3pjItk6Obn9HPozkgoYsg+wesg90jySDU9d7yb7Q
OL+fb4nsIx+Br0mBndKinyzEoEIzP92lN3BPsTp369LAhlnAn1df7bRrkLoI
e88ymWYNZFaE/sva0r5jQ9T9IArN+WI/TWb98N36dcPTlA/U/VG2Mha3f5nM
+mMhv3VmOn2YuhgWYVFm64tkVoyvEUMCc9kI9QC4ntA5i4fJbADU+efSokSj
1APB6RQYjpST2UDslH6eurqm70GwUDksNgeNUQ+Ci0fusLeczEhgENWzHvlG
3yVoTBxYmdHpuxSR4TGx1gI1dSl+XFlVLWWSmWBkOtg+cKvX92BsdTfSNv3W
9xBYmsu18aKP1EOwuTlO1ZJPZkKxpSj+VV2HvoeCv9yYdZMzTj0MpSYValcv
MhsGU96p6EmZvodj9s+SNK1kXPgXmUMYXw==
     "]]}, 
   {Hue[0.5585438199983166, 0.6, 0.6], PointBox[CompressedData["
1:eJw9zGtIk3EUx/FHU9QXoqWJlOY0Z16GbjnTtdl+Tp36uBVeEguLDLs3RTNz
vZAFYaVhkDoQQ9QwNKRpVijkhRHmbTablaKx1NIJ3UilQMIKz9MfDofP+cLf
/2RB+il7hmFkf+ff3nzf5Uz25JZztqh+OoDpZjPKGtRkZzCT6ZpLZVlkdzCZ
Fwa2ORwme4IRfhb1Po0ge4MRnA1h607IN+0Dnf6m4VHuFTIPSHudJDpTTg4A
Km8EixV3yYFo9PBSePvXk4MgrLo+VPyzmRwMnr7tiPh0GzkUA/cCtP0lHWQB
kk3T7YXjT8jh6B42OR0b6CELweuK1s8c6ieLUNpoWfPtM5L3YvZa6ZDVb5Ac
CVnmmqH85TBZjJpsz7amdhM5CsyO1PWweTN5H3ZlaFgHOws5GgHaullHwRty
DB6GX3ST5LwjS9C6dVRmqZgm70dJfpayqHOGLMXtqabtCSPvyTIoWrR2PLOV
HIua+qhOlfUD+QA8sKRxHp4jyyHnv3JauD9PBjqDoitW8hc2rQPKXdzGRkM+
Uo9D7Z3S3cWTZF0c+p4NinMKPlFX4G13g02+TtYp8EK/8tVeu0g9HkVeKcpb
y2RdPKS/Dfl69RL1BPCZx73PW8i6BNT4Oapyf3A9EcZqQd5EpI16Ilj7WHHu
eTKjRKaNsVbqua7EyOX1b+49XE9CoLfui6uF60kQ7lHOuS1yPRmCIjbedZXr
yajqKTSHbnA9BTHBvHSpyzL1FCTya49HeJAZFjura/MWfbjOQsA72lzF53oq
zK2mHqmA66noGkuTsEKuq2DsyCq4KuK6CprVqYy5CK6r8Wujd3w0jOtqPFAL
RM3//z8Ig1EyNuG7LP8DuLwLXA==
     "]]}, 
   {Hue[0.7946117974981064, 0.6, 0.6], PointBox[CompressedData["
1:eJw1yQ0s1AEYx/E/E6ciFbm4DZdFRt5fysv9vB13nDpN6cUcZUwtzDSJ7ZzW
pC1Wylb0Qlpbbb1pdMpL15uXSuQlLzk0Meet2CjpZZ7/sz179nm+VvEpkQna
DMP4/Nv/d2VmBIxR2q6FRtt6eoApHnLUnwSZA8a2br1EE0o2AnPHZby9IJBs
DKbnaHiBjqtgxVwwD95d3v8ojsyD/H6V0C4ug2wJpnDjGb2aPDIfDYoJoUpV
SLYGpjNjZIoS8lY0vBfviUy8QbaFejTZwmSskmyH1CietjrwHtkeMhOuRq/2
IXk7OL8sNVbKJ2QnpC7W+M5tUpKd4RRr7mrxuo7sgmMXLZxU/Y1kV+z1dffM
S31JdkPbhaKMWpM3ZHcsiSTSMVUT2QMBI9I0fnor2RPLp6/bn+N9IHtBrUx+
ETzQRt6Bcr5rc5p1O3knKqT7vEXxHWRvyH6WctsvfSL7YCZdZpxV10n2RWln
x4GFvi6yHwoi0hVuU91kAZJGVgW7z/eQgT+tY1dMZz+vWA5EHXJ4vna4l7o/
zgpX5x1820fdH4dl8x9jb/VTD0DKFh0bxYkB6gEods9S8gVfqAdizXiiT+Yy
WR6IfBdxX1LVIPUgLKfcnHZzUlMPQi8/P+6pnMwEo34bx0C3he3BEOv/bvYz
HKIuxDWjVz/Oi8hyIXiFu4uOZLM9BLklVZV1t9keAkF4yLfcJraHYkPFs+93
R9keisjFMqml1jB1Ecz8GqWD5mS5CBEq7imNF9vFkJX5JZRHs12MGOduycRJ
todhOHvKQfcq28NgptOy5KFkeziKDKJzrLrYHo6snOPVXyfZLoFgVuVoqjVC
XYLqOZuKx+vITARMPQw5y5tHBH8BCSUOTQ==
     "]]}, 
   {Hue[0.030679774997896203`, 0.6, 0.6], PointBox[CompressedData["
1:eJw10GtI01EYx/G/ilKUomJU1kRzeWt5KUud2n5eptOpWYIVDHFFItvKoJI0
nH+IcKXGILphaCZKpdMmmaKoaV6XzLxMnbfCgsI3iYJWGF3oOQcOh8/5vjic
x+ts3snzthzHRf3d/87/a0XC8b3TTRH+3XQBzs1B3a6MIW8BNyT64esiIzuD
C16+7aQSk93AwaKe354i+e9d4B4M+qY3qMl7wekaZMPXtGRP8AXhmskDpeR9
eFMxWpVXfo8shKciOF5VX0X2Qfqq5veYfR3ZD84+RcUFWQZyALI1/rnl35rJ
IugX9O6dXa3kQAzd9SsXuHaSg+E6eimiRNNDDkHjfYvgobaPfAgmo2r0mXGQ
fBgvXgY6lq6byKG44uTC66PN5COw0Z1rtna8Jx9Fc8uKyCwfJ4fBL1IrPDg8
QQ6H9/es6/NBFnIE/J+/2+1RNEUWo65kR5u6aZocic0N0y/JwAw5ChVtisbZ
His5Gl8E3YatNbPkYxjpPxGwqZojSyCQOiq89syTAa0s56ZLC5kHzsgzpFrx
AvUYnFbZvPIxkPkYzKUZXUecFqnHQhD5eEOoJPOx0Ji8O8y1rMchrMYhQLLI
ehze3tKJ27d9oB6PSbfQ4uNBZD4ea9Vlkx+TWJeib3VJH6xgXYqMp9pHazms
J0AX2i/9rGI9ARcK2yonc1lPRGbZqYkuJeuJyA8x1I5msi7DHdl+u2z2Hi/D
a+OUxSxmPQkD8ovGCBHrSbC3DbeGebCejN58fszszHoyCq0Dyno71uUYD6oy
adbZ/+WoLKsTjn9l80lB7afWnf2zrKdg5mecTcYI66m4Ua/Ore5kPRXNl937
lhpZT8PyVVV86pNFyR8R3hND
     "]]}, 
   {Hue[0.266747752497686, 0.6, 0.6], PointBox[CompressedData["
1:eJw10XtIU1EcwPGfFjSjaPhYksO0xMxEtlmZpu3nNp+b07JAW4KzjCn5qFUq
9ccN0lUmDs2R6+Fj2mbp5qQ0yzRJREtEyQqa1hLCAqtRIVL/tPB3Lxwun/vl
nnPPucH5pYcKPAEgzj3+31cvlxjg0cHh+g3D9ADB6THicPDJHITptbOjfjvI
XAQuR2QyCMm+CHlR9rBLsWR/BP7450yzlMxH0JS0KnIV5CAE49d5n5dZ5G3u
+Tc3z5iPkkMQJNnpXTlqcihC5rxN+6mAHIZwuHF7zWQRORzB2pJR+KuUHIEg
jAwobzhDjkRYfBr11/8cWYBMM1PWWVxOFiL0Hh/xPVtJFiGUCOOObLpAjkJm
5ecrbchF8m4E1WTV0C3WexBmrte8VbPei4xs7m6Ghn0/GuHj0IupDnb+fQi3
Rd52P3b9GIRvxghVv5Yci9BjUT7Zwu5nP0Ig73V4DLv/OIS0Mf1UN3t+8e7/
5an5/SVavOoD7u87pTwvUpPFCOVj2nZVGRmRaeMueAxWrJpBxDpdftc7hnoC
Am9d55UbVdQTkFl//5i09hp1CcL7vomsgTrqEsQIjaVYV09disyfIIc8oZG6
FFsKm5651tykLsPnporq7HEjdRk6J60Nc9V3qCciV6lT2gNaqCeiK1HIW9S0
Uk9ChjtcX2Buo56EguCmhspZE/VkzByvHA380U49GQUDNuPESgf1FGS8hG82
Lt+jnoLw8KRX+3cz9VR08maLfJYs1FORceTK+5Y7qaehyxktzfN+QD0Ne0wL
gl3xXdTl6Bzcaig83U1djgLb1doJi5W6AoMeC/Q5H2zUFahfUk1X6Xqop6Or
O/ZEP99OPR31O30vG6xkUCLHFSqRxPeK/wFCrga+
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 60.}, {-0.006984466771220665, 0.9954949407444992}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.613139097058339*^9, 3.6131391734567327`*^9}, 
   3.6131426566835003`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"{", 
   RowBox[{"labels", ",", 
    RowBox[{"0.5", "*", 
     RowBox[{"(", 
      RowBox[{"1.0", "+", 
       RowBox[{
        RowBox[{"M", "[", 
         RowBox[{"[", 
          RowBox[{"-", "1"}], "]"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
    RowBox[{
     RowBox[{"exact", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.612019836826075*^9, 3.612019900938654*^9}, {
   3.6120229609501266`*^9, 3.612022961069807*^9}, 3.612023129317892*^9, {
   3.612023303897546*^9, 3.612023305096718*^9}, {3.61252388806363*^9, 
   3.612523895687908*^9}, 3.612524188374645*^9, {3.612526648328247*^9, 
   3.612526650270587*^9}, {3.612527719536738*^9, 3.612527736017529*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Age\"\>", "\<\"Neck\"\>", "\<\"Chest\"\>", "\<\"Abdomen\"\>", \
"\<\"Hip\"\>", "\<\"Thigh\"\>", "\<\"Knee\"\>", "\<\"Ankle\"\>", \
"\<\"Biceps_extended\"\>", "\<\"Forearm\"\>", "\<\"Wrist\"\>", \
"\<\"BMI\"\>"},
     {"0.7873268979092723`", "0.000201424304418385`", 
      "0.0016224528033633723`", "0.9954207951347126`", 
      "0.0005146445957749379`", "0.001903075228044837`", 
      "0.00039520278208637905`", "0.018648121816152774`", 
      "0.0009866232355931759`", "0.009723617232259452`", 
      "0.0005722158158183444`", "0.8155821396020981`"},
     {"0.9125955697193796`", "0.7000013886599747`", "0.9971173935478626`", 
      "0.9999817868344933`", "0.9665229431298709`", "0.9284964958544917`", 
      "0.7770168148699945`", "0.4804666473255803`", "0.7858767016640309`", 
      "0.606646506687505`", "0.47910626276364565`", "0.8868293750437019`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6125262855734262`*^9, 3.612526287207008*^9}, 
   3.61252694626385*^9, {3.6125277206920557`*^9, 3.612527736481205*^9}, 
   3.6125281278395844`*^9, 3.6125314769525633`*^9, 3.612803148248682*^9, 
   3.613142662102602*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"leftticks", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"NumberForm", "[", 
        RowBox[{"#", ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1"}], "}"}], ",", 
         RowBox[{"ExponentFunction", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "<", "#", "<", "2"}], ",", "Null", ",", 
              "#"}], "]"}], "&"}], ")"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "0.02"}]}], "}"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Table", "[", 
     RowBox[{"x", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "1", ",", "0.2"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rightticks", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"NumberForm", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", "scale", ")"}], "*", "#"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "1"}], "}"}], ",", 
          RowBox[{"ExponentFunction", "\[Rule]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], "<", "#", "<", "2"}], ",", "Null", ",", 
               "#"}], "]"}], "&"}], ")"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "0.02"}]}], "}"}]}], "}"}], "&"}], "/@", 
     RowBox[{"Table", "[", 
      RowBox[{"x", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", 
         RowBox[{"3", "/", 
          RowBox[{"(", "scale", ")"}]}], ",", 
         RowBox[{"0.5", "/", 
          RowBox[{"(", "scale", ")"}]}]}], "}"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ApproxFig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", "approx", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", "approx", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", "800"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "0.25"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{"Thick", ",", 
          RowBox[{"Blend", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Red", ",", "Blue"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"#", ",", 
              RowBox[{"1", "-", "#"}]}], "}"}]}], "]"}]}], "]"}], "&"}], "/@", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "1.0"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Max", "[", "#", "]"}], "-", "1.0"}], ")"}]}], "&"}], 
          "@", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{
               RowBox[{"Sort", "[", 
                RowBox[{"rYX", "^", "2"}], "]"}], ",", "#"}], "]"}], "&"}], "/@", 
            RowBox[{"(", 
             RowBox[{"rYX", "^", "2"}], ")"}]}], "]"}]}], ")"}], ")"}]}], 
      ")"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.05"}], ",", "1.05"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"leftticks", ",", "None"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rightticks", ",", "None"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", "0.003", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"18", ",", 
       RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1.0", "/", 
        RowBox[{"(", "scale", ")"}]}], ",", "0.5"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Thick", ",", "Black", ",", "Dashed"}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ExactFig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", "exact", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", "exact", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", "800"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "0.25"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{"Thick", ",", 
          RowBox[{"Blend", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Red", ",", "Blue"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"#", ",", 
              RowBox[{"1", "-", "#"}]}], "}"}]}], "]"}]}], "]"}], "&"}], "/@", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "1.0"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Max", "[", "#", "]"}], "-", "1.0"}], ")"}]}], "&"}], 
          "@", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{
               RowBox[{"Sort", "[", 
                RowBox[{"rYX", "^", "2"}], "]"}], ",", "#"}], "]"}], "&"}], "/@", 
            RowBox[{"(", 
             RowBox[{"rYX", "^", "2"}], ")"}]}], "]"}]}], ")"}], ")"}]}], 
      ")"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.05"}], ",", "1.05"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"leftticks", ",", "None"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rightticks", ",", "None"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", "0.003", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"18", ",", 
       RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1.0", "/", 
        RowBox[{"(", "scale", ")"}]}], ",", "0.5"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Thick", ",", "Black", ",", "Dashed"}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MSEFig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"approx", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"Mean", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"exact", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], "-", 
             RowBox[{
              RowBox[{"approx", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "^", "2"}], "]"}], 
         "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "approx", "]"}]}], "}"}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", "800"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "0.25"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", "Thick"}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.05"}], ",", "1.05"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"leftticks", ",", "None"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rightticks", ",", "None"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", "0.003", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"18", ",", 
       RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1.0", "/", 
        RowBox[{"(", "scale", ")"}]}], ",", "0.0"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Thick", ",", "Black", ",", "Dashed"}], "]"}]}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.612019629052206*^9, 3.6120196452660313`*^9}, {
   3.612019699199233*^9, 3.612019704100676*^9}, {3.612019916243692*^9, 
   3.612019934252701*^9}, {3.61201997983156*^9, 3.612020059969644*^9}, {
   3.612022381838299*^9, 3.612022395645239*^9}, {3.6120229508392687`*^9, 
   3.612022951430552*^9}, {3.612523305436318*^9, 3.6125233058930397`*^9}, {
   3.612523829782349*^9, 3.61252383192629*^9}, {3.6125239127514973`*^9, 
   3.6125239222317057`*^9}, {3.6125239686979322`*^9, 3.6125239893651*^9}, {
   3.612524190604107*^9, 3.6125242136345587`*^9}, {3.612524341688159*^9, 
   3.612524489651119*^9}, {3.612526097137617*^9, 3.61252612028097*^9}, 
   3.612526223854919*^9, {3.612526266000353*^9, 3.6125262763308163`*^9}, {
   3.6125269541900663`*^9, 3.6125269763127117`*^9}, {3.612527009791298*^9, 
   3.6125270411232843`*^9}, {3.6125270892116756`*^9, 
   3.6125271920556183`*^9}, {3.6125272606505527`*^9, 
   3.6125272954753923`*^9}, {3.612527805446104*^9, 3.61252780584442*^9}, {
   3.612531173138582*^9, 3.612531188431714*^9}, {3.6125315954201517`*^9, 
   3.612531595978238*^9}, {3.6125339330533867`*^9, 3.612533935802474*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.18181818181818182`, 0., 0.8181818181818181], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kWdM01EUxRlFEREN4Eg/KFVGJKW0lSGIPRSrWFSEgliMOFBxUATjSMAR
IkoIDnChdeCAgLsIcaCi1kZBTRxRESiiHbT9P6GIiagYQayvH15ebu57957z
O5z0bNkaJwcHh6ih8+/+k0+Ca6/3i+bdXLk/fO9n/K/dUOb/y7nOVYcHn3sq
XJy94ZC0Ux9erKN9NiI0NyqPj9CjvPRbWvA1HxRuzBJcKtTT975QikTfox0N
6OB3M1p5AFb5l6bxcg0YsP0PxIENXhkzrQZMfGPeWsTiwU3VFhuxwoiztnl8
yGMqa6wvjVBN781ny4X4yXNlB0V24qFtfgimnFSmNZ7vxKsi69Ov10Ihqjr3
5IiLCZ9s+8Lxui68NXONCT0tX9wbnSPAlXizuWoTBm37I8HPFOjqJpgxeioj
O5MahckS6Y7OTDMm2fSIEGWoPF1114zgXNOJzSqgY+0uDx3LQvVF427z88MF
cRZUGzf1VO4Wo221Y/nufRaqNwY+rM76lkYLbu/P8SwNmoUxrI9LCwctVL8E
4/q7+IeEDBpDskO3t0hwtfei1WklQ/3MxhL14VGWYgYf2rPkGQVzkPXb72h8
DUP9xWJKs0Q6+w0D8x7F9kTeXMRH+m3TdjPUrxTpPImMM4zgBzezPKpVCpb2
3MSpbEL9x2H5yGVG10CC4e/XqwP2zENI7sf77aGE8piP0x/MO57NJBi/c53R
M3gBmvLzSgbFhPKJh/corrohhiDAb+3wgdZ4kIKwh0nRhPJaiAuD9QLfGQSn
TMJjW2ISEFftfbZqGqH8EnCnS6BYP7S/IrLWn4xPRLrXDa2XD6E8E5F3qfZy
xliCKwcFd5Z3J0K/SyGePpJQvjII33E81jkR1OlrpO8fy9B0U/lJ85uhvJPQ
rw5Ut/1gcC+Mr407kYSyYQ0ZD/oYyj8Z7e2mXs1QX1OsUjzKSkafOFap+GXP
IxlfO8jY6qH6RQdvIHTWIixRpEty+uz5LEJRS8OrAiuDt8LrJVcmpCDvsYe4
SmfPKwU1zdPcVr1moC0M4nCsKVh2y9Oj5J49v8UI+RaW2l3BwNB2tbZMsxhh
Zdk/3YvtecqR0/VMN3cjgy88rsRdKcfqAL7LuwR7vqlQOdYHNQkY/AVgkt32

     "]]}, 
   {RGBColor[0.4545454545454546, 0., 0.5454545454545454], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXtM01ccxX8rINMRXxhZ3MIgo9Sa2naEKiPEUxRRHmpbQNoYg3MBIcJU
ECNBsNTqijLAJ9UNxaDUWEpZwcBmNhglEsVGgfGQIhTa/pjtAJ1k3XSAtbt/
3Nyc3Mf3nM8J3n9Iks6gKCrKvd7vc3IHz9DwZtPbxhNlxmPj+F8vQefStgC6
cwK/WmZqfbxWYZGs+2eX1UrO18DJjpqN77XheuVfe3m6IEQUf8Q4c95O7oeg
01/E/iOExih/6oVZyoKjueP0kkoa857363AyzvmYP0AjsGcyX+XNRVKCZfbt
vzRueP7jI3S4oDx5joY+4pV8jTQMirqqybxxGm2e/8Oh8lfpFupoPFFNP3ip
E6Ch/Hlf2E4aY555G9GaHWJYMWjHzJDTr8vrS/xeWmrURNux4JkfCYaMbUko
t2EZ+4WkWhaF3NqcMdsvVnzm8bMJf5uZSmbvBHgFtDpPD4z+N+F1zzRO/AnB
7GlyRjZboLEdmbmliMb2m/aBi6vGiN/NKG6qKEm9O4KWssMrK9dvgWutfIEj
GCb+YyDpOpquax9EV/ghQeFQDK78o7v9OrWf5NkKRX/GnLdPHwZHcqQZp2LB
VfBey54+Jfm24U6P3hRYYsKkMrtQzN2OacaPe5TND0neOFwylRWECh/AxTl4
PepZHOgQXnQ100jyxyN2F/eV7Ot2+PZn/cZSJuDTjZpEteM+4ZGIoQBWO1fb
goCiTNtK3g78kGVXX3jTRPjsBL8jXuH7qBEs5gHf+WdundZtjVhdT3jtgmpp
6fjirzT4ng67fHSzCPKHA4tD99YSfiIsZwTWsaZuoDbSEOoIEEN0oeV4VsQ1
wlOMGtooaCu6DG35F61pU2IEsZWfTNacJ3wlCPpT+WGm33dommiM6++QQK4e
rfT+XEV4J2Ff1fDyDxKUuL+Bb45XJ8HSdc6siS0h/JNBiWJnNfVFMJ7VZ7fn
JENoF2srCgtIH26dnpOXUp2P7lHuvGBLCuSun07O2Y+QflJA5R/WnmvJRl9Y
Q4X2492gevV5LmEG6cutAw2Z397dB/OZ9cHB026du8OUy5GS/lJBmb6pOeUj
hnW43nDF6NaOJ6f9U7eRPqWgOCNpK6IBJ5cT43fVrVu9zKbicNKvDJSw7qou
Yx3eAY5m1/4=
     "]]}, 
   {RGBColor[0.9090909090909092, 0., 0.09090909090909083], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXlMk1kUxYtIOiiKQWIJQ6RVsODSVjZHrB6BKoKAtFRajStmVIYyInZS
jaJliWtTFMXUOKIBzIyiIKBCQqyAC0wcohMlAxShUqa1y/cVHCKuVazvj5eX
m/vevef8Didrj+TnSQwGQzhxvt2f1TZ+Q+2HFWUz8ppEU0z4Xk9BPxdd0xv/
g97orPLy9EeGMu5Ep9FC+oG4lh3kJSy3ouL0m838m2yEhfow41/ZyPsQnOkK
YH7qtWNAQFkNci4aFKm578occLn/z4ewM+4UO4jC7H8svx2fzMM5ietZeSGF
y+55AnDMvYrEvynU/TSqDpRH4IdDe1U1k2jcd8+PglEr3b0jnMbT4/TjkZvR
iC0Mf3kvgcage98S5PwYZmBJaTh77D4dnksxvX+VIGQTjS/u/bEwxr8vDd5M
wzfcKrm0QYihfVO1b2U0gt16VqB5av7otlQa/ANm3b46IMKLKh5bThN9K6H1
XtAsmE/jj+G9zuqiOPBauhJL/GiiNx7tM3yC0sYpNGny/E4vSkDWTCbb0EMR
/SKkmAbuZDVR6IjaE32wRwTRsshUz7MU8bMK1vb7ga05FP7tz5XvLF4Nhn+1
WB1HEX+J0KmMF3z9KVhKFAfFvDVY3P1/32yTg/hNgqK2tCOh1oHxhTkVwt4k
eCc/Gx5TOoj/ZIwcjQw6EuMAszu7jVuyFl7eOtXoqJ3wSMHO/PoXH6/awSrY
PezHT4WxwHJdn24nfNLg1zanVeO0gRu6i+nqTQPrgKG46rCN8FqHZLOHauid
FRfNEeXK+HQYi8YUGpmV8EvHiOmcnF32GlWxDfNsLDH+uuR6sr3CQniKoacC
5jzKM6NGu7h5KyVGhzO0sfLzMOErQdpJ1ZLWZSY0Dt1K6m6XYKDo/bErYa8I
7wy8zd5Svfb3l2iJERiSdRnQXV0TtVzbQ/hL8SdfP15/6DkenKxTtOZK0eeQ
Prx4tovkIUUFa+vr8ROP8GSA54pOWI/9HhpRQYqe5DNRzx1Ut9y9jecRtaU1
AZlgc0K27K+sIXllonOQ2zfNoxKGo4s4HDoTI9wUR6H5PMlPBmNbjLL+Fw1M
fTcazj+QYWXwvBBpZCHJUw61bLtaJlXCzlso8rkwUd+ZlZ9XsIvkuwGMmNu/
+pZvxFdyE9mw
     "]]}, 
   {RGBColor[1., 0., 0.], Thickness[Large], LineBox[CompressedData["
1:eJw1kX0sFGAcx5WaFovMViRlRC/i8lIy8y0v1SEv1+Fk1VbRdUVU5C2TrrJ2
uJWaXlwrtVouyiU2CinNS0nRectJl+O4e0KiF+q6PH88e/bb8/x+v+/387Xc
e4QVOVtHR8ddc/7dU+lKh5Kinx7XG38JWUZy/K/nwzXl3L7sRAWe9ZKCubom
kPvIh40MlDPvZkg0G97n3TMEkXB0l8OD5fDYaZI/31w1898azrs4FvkjKvQw
VINdHFv8Zj7zZZxSY1rbvxqGIQu6BX1qWLQo4jPn2ONWa2rysRUEN7TzGFhs
rj9vOZug2HUk3YzjiACzm/pO8QRV2vnOiODxsqYEBM2Z6rqvD1xwroIXEyYi
kGn3bYB46aCrbSEBaR8yeKW7ETaPAt+WPSb4o93vhpUvA8XqCgLDVYOs/HB3
sI8W7I6pIVim1eMBf4uQu+KXBA5J/XnHioGIHz6Xdeqpvk3gxUuyCxsJ7srj
yO2MzUhusZore031eoLLmLehupmgTBBrLFzrBa74Uimvher3RtOFuqDRdwSv
nI+4pLR7Q89FWrK/lfrxwd77Ec0NbQTS7mhO1OktiD1Ru2a1lPrbCmXt14kz
7QQK/uGUYPttaKiSDsg6qF8mhk3Z9a5dBBN2h0TuHUwELFhVKeym/n3B4mc4
Kz4S6LUdrLHl+2GSYVXuJqM8/HEvZ1ZOZi/BopNcubHDdixM8Mtt+kT5BCA2
ih856zOB7YoDetMdAUg4WG9lKae8AmFi/avT5gvBtX7HS8c9g/CiTxJn1E/5
BaFJldneq6kL3EpslIuCUSd8bHJLQXkGo1IsEkUNEBRmryvfowpGlsDRnDlI
+bJwlp9RzFUSSPoeMtuesyCx6q+QDVHeO5B3py6oVEVQsZ7R5Zu3A6W6F6XN
hPJnw1O/JWl8hKD2fPHh6mg2nCLH0nvHaB5spH4Q6EeMEzT22E+7eIWg9c76
q/7faT4h4PZMmUo09XvHopzCxaEoj/tRdeE7zSsUSr03kQOa/q6zay0t1aF4
W8Vwu/mN5hcG/7CsydxRgs+d4pLLtWHYP53Yl0ZonhyIfJdsG9X4G7K38za4
wkFyfVrCVjnNNxxPc5c8Se0k+AvTpPYq
     "]]}, 
   {RGBColor[0.8181818181818182, 0., 0.18181818181818177`], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXtM01ccxX+g1vhAxZgwsUNKysOJpautOmU9CDiB1tqWAgVdljBQVB4q
EOMDbbBqMYiERQY1ooGhsk5hNZsmMB7ViUGjMsdsqYVCsS39KQ/jA9RVsd4/
bm5O7uN7zuew0vPkmd4URUVOrU/7/ypXhP7qW2HYXsuAfdsgPuvZCHhmW16s
GUKrdbRuxrRFYDt2nVEk2cm5Pw7UjpccuOdATfmL7yOuBIIV2H1x3msnuc/G
Ix/b+K+WYfRxnw+blaHwDZvPnixzwe15/xUOrwylWItoBHQ7CjXTOag5G/e7
vJDGec9/XIjzO7we36DRuGZc5a/kQaUPLJbZaLR5/ucjNyx6qc8EjQeakdtj
VwS48z7vZMwkjX7PvNVINmiFW5w0Ro303M5p38DKnFPLvE3jg2f+WtxPDaGs
FTTmLxuWn0uNhOHyrZI/JDSWevwIsbOtiXti0oWI/faq/EbgcoGgl/eTi/iL
wiFfUbd2iQuXhvaM/lK8Hh2iej9dxTDxG42KWVuDFBNOXC/dvbB8RQz8pepX
RWIn8R8La+fkvokyBzr5eYKDxlgkpRU05LbZSZ4N0FR18dMtT/H4SY5y29Hv
4E0t+ZLvHCL5NmLsmPpHYb8NDnX2QRknDjWtJRovwyDJG48/bbHK7eUDeBO+
qybSFI9MZ3XLYpGV5E+AnuN74b7Dgpk9OzpC1SK8ZwiPSJhmwkOMh8axDQyh
EX5FWUMLIzaBvWbZQ8aWHsJHAk5tSnu++h+EBm+f6TZJYGxe0GCtfkB4bUac
LhN1pV04a+edKYiWouvnPrbE/TfhJ8XO4Gxpi5cBdWv1IS4/GZjO6XvlkX8R
njK8/HZkufbCdejKvr7xw3MZnqheZvn4XyN85ZAe5hWs9m3EtcGm+B7DlG7O
8GaUNRDeidD8p7v0Lq0ezau45oSqRLSz+vvuBNcS/goEWrp64ladx82Tjdnt
OQo0dQRtTTFpSR8KcNfd0opbKnG3j+MWxCTBmmvKFTVUkH6SQAlOFM3KOIVH
vKundV8koz28lP9vwHHSVzJUiQNpUaYjMB9fwWKNJIPKcmZo3YWkvxSoWs2S
HciBrfc3feXNKV3ZzZp9N530qQQVE5RQn5MCmhMeO7d6SnM3MRm7xaTfVFDe
53pDLFH4CD8L0rY=
     "]]}, 
   {RGBColor[0.7272727272727273, 0., 0.2727272727272727], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXlM02cYx38BnFWZJkqAaAI0qKCD0iIVKMzv5BAQOVo5ysJhZAoeyKoY
RFbTKBnIEBTDhoqK3AtHEcehCILKuoUxpQKWQrDQ0vZHgxUviAds694/3jx5
877P83y/ny9zf7rggBlFUb7/nv/qZ8mMW0vThx2tnmzOoGES/99XIjV6KEJW
pUa3yli5zNwKPt82LvU6TJP39VhgZ9vrE7S4cfF1glujA9I3HJx5n6Qj/zdi
tRzaIFc9Jtiz9JjQCdb5z1QP/tJj0dS/FfoRw3RbAA27Qd3JPAsWEhyjl3Ku
0rhpmseGgCPzTpXTkHrNSdYL3ZFSMFxcYqTxwDTfA62Mhu/i39J4kvfy91eN
XESoLJ5ETtF4YdrnifEMxwOn7tEwKgyWMnNvyMvND2eKaSyZ9vMQvHG+oOsr
Gmu20ILrcb5IfuEZ19ynh71Jzw6Ez435Pg3Vwy1LW3pCCtx1vrxpqFtH9H2D
PI2XXYe9DrUakbHq7E5EnPEWd6VriV4/KO4H5iQ2T6O94Pu1F1390TYcKOKp
NUR/ABq2iIuolRrIPNK52YoAbChrDd23WU38BELctMbGjDeF5+NpwoPndiEk
S6k+v2uS+AsClZRnditMBV3O0Ww+KxjVufHbllVMEL8hkLYzShnV45h3OXLD
dzQEzilf9jvXKYn/3VjRZ1HGlyqwfPhQr1NOKCZWrLb9unuE8NiDVCsbH6Zi
CDbiVM1atzAcqf0p7NCSnPAJB4dprbrFHYTTppTli6Ph+FAh5Ryf/5vwisBh
p8QuTnU/rmndSzL8ImFZ7POnKvMPwi8SXicyYn892YdKXsvmGRs+arTnB5pq
HxKefBROWicP2PagvpDTkTTLR/Cq7KwfajoJXwEeP+d90nS2485Uc8jwQwHe
9t7kqjN+I7z3IljCq+XKbqNzO3tsd+lePG1o04ZzpYR/FBiR7lYlJfV4lC89
2pMWhYXEslxZXB3JIwp1F5qNg9ur0T/BWuT6R4Px8VgQvqgg+URDkjxw/F35
dTxzbyqqt42Bwz1/u/rTv5C8YlDu4Vg8MncJYz+6MpkvY0BpDWe8zuWT/GLR
U5j7WfLpLNTKhpafH8WCslt4oxSdJnkK0aPsnM2fF8HAcgmwvCIEJVca/DQp
JN84UI6izHWsJPwDbPTbTw==
     "]]}, 
   {RGBColor[0.6363636363636364, 0., 0.36363636363636365`], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXlM02ccxn+oHBGzEUICGoJlUUlLacslh4RnXBtllNGCpSiLBkEwwsBI
EWHEDmEyYFIZIMq8pnYo0GLJvOXqAlMw4sCUilbO/gQiR1G3EUC77v3jzZsn
7/F9ns/jmpwlSl1DUVSQaf23r8imuWrlUrA9R8qxqB7F/3o9VuwcQwJWxtA2
MnfZcq0DbhYydTKfCXK+Ce8L2t+6+k/ivNz4DbeZgRHL7yy46w3k/hbIWvqm
flIaoOe9mRqWuCGCTnGSM2msmt+zsHhNF8E+RsPlKS0tXceBs99imkJN44L5
Px4UGUUz0m4aKv8F2SaJF7Y3e7MF92m0m//3QcZndsHeNTSelM52zzf7opzF
jL4mpPHKPM8Pnq+ixoYWDJgbmtnQszYA9vzArodSAz6Y5wci1vZf9rmXk/iU
OSU6lxgEhW1q/iPmJDab/QSj7cf7meLdE+AeNdQdVgHMrurQlcPjxN/nSOF/
6x+ZO4bfJg7NXSkKgfvAu96y1FHiNxQfOO1tf0aM4FZFtr3cIwwuZcsDDn56
4j8casGVqwLtMHp8snwLhsJxN6m7wiFXR/JEwKrlpveysxbaF5mS/ce/wK2k
HeGvBwdJvi9Rn63dorr6F+jijAIhJxLr+q2PPKrpJ3n5SK4//cAv/jH+Zh88
H6TjY3mpSVPX+5Dkj0JUT5u2trob1s8OdLoVfwVWhVOhXqkhPKKRrX93L92x
E46F6RP2XAGoRt6QuOoB4RODfy5+stBfcAduW9OsV3UxaGj+I8dG/zvh9TWC
+puiy5rUqDd41eSExoKXt2SRdUdF+MWCYQxISu67jsuB6m3TjkKk++axPEoU
hKcQDQ1x7iW6X9F40vP2njdCzAeXGncdu0D4ijBfqc1NSTyL1rEW/rMuERj7
bhg3b6slvOPQwdvp0Kqpwr3tvOGoujhQHZGiVRs54R8PqtwgHz1ZDk2ZKqMj
Mx6MjZ06xaUTpI94jJxO+16wphi9es6qb9hOUDaDJ8IqZaQfk+ZUluT9ko8B
L2Vlo5MYMrHnY01rDunLpK1af7bjZWH4Bw9X11mTPlXVJ+zZT/pLAKVk8QNZ
ezH+vEldqzFp54SE5xIx6VMCykrKWHaPwQyHHb7hjElPb2UWGcNIv4mmPDus
0gwB+AjWT9Br
     "]]}, 
   {RGBColor[0., 0., 1.], Thickness[Large], LineBox[CompressedData["
1:eJwtkXtME1YUxgnIYIP56Aw4MEDnoEgqFAIiCH5QHo6nbSnQKirhjfLQAAmM
gA/YhpvTqkgKRAkFg4KUWnB0MuVlKNIZYMgEiqVdGShY0I3pwpC6dfePm5Ob
e8853/f7qEm5nFRjIyMjv3/Pf/Xd6QU3qXh1X+D3C3rnDDX+v3+EAZmqhNKn
xgP1coOpyVaMZdDYSgsNebfBIXPdw4JgDa4L/jjs1uqAqPrajm+Oa8j/z2E8
vafS8YwGKobuhZJHQ1Qip6n2Kw3WDf0u2Mx8Ocgq0sBudL6gYoMrRCYB8q4E
DeoM8xgIrXBIT2Zo0Lbn9WkbngeW7aPtZlfU6DbM98SN12/r/25WY7hiaeBV
qxfyBaf8y2LUmDHs80aC/qft9JkZLE8sWspNfHCX0X3kldEM9Ib9vojDOUXE
JhU27XzBucb3A/NRTnXlx89gb9CzDyXiQW2yXgm3ojlhXhvwhiaryXk+RfQF
ILnmkE/8z5Nomj253Hg2EKXUo7dOiSeIXiY2pJlbai89Ref5ExTBriAMdDt/
+q7wV6I/GEy7rZ69qeOQe+Z6FU8EYz6Ff6+O/4T4CUH9mE50NXYMT6ezeWll
ofA3TboZePAX4m8/zkTmX15NH8V8eVYx2/ULMPbauGhLR4jfMJTOWX34p/8w
3tKPX/ebDMNNe7o6QPCY+A+H5IHFdMiKAmbjmb208gisrkl6UjOHCI9IqBq2
PB9aGoR1ScYsxS0KEqZ3ZlKZnPCJRo622ft3xwHQHNPN1iej4XSwXfXmyUPC
6wAow3JFwsV+1M55XM1nspDScmEllNtH+LFAqWQHCXf0osFX6rRgzUbhed81
97VuwpONlMt5U8aK+2i54C47qmPjdnbWMZGsi/DlgPVXgvvI0I9o/00SNt7H
gcOi4ojoAxnhHYOeE1JdQc4P6NrNUIYLY8D954rwO30H4c9Fo5PtgRRJO/q/
bcvqyeYiv8o2vO6klOTBRbmjlWmuxx0oVK7rXkGxkG28V933uI3kEwshP2+o
0LoVYx7iiy3b4qBWWjGcIppJXnFwNte+tP+yCcqvd1GpS3GQRE9TOZ2NJL94
yDo+mxV/IoJ26ra0qj8eI53WzyJ96kiePPQIzprZdtZg0ZUebFnNQ+L9pBsu
LVUkXz5YdG5I6bYreA9RsNk7
     "]]}, 
   {RGBColor[0.5454545454545454, 0., 0.4545454545454546], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkX1QC2Acx0dcd4Vc6kro5cTI2jIrSfVdmZdFaSu1eTlyXnKkuvLaddLr
EEJ2o1TkkLXGUsvlZYQ0R4koc7NqNi1JXpojkXn+eO653/2e5/f7fj9fj42J
/M2jKRRK4Mj5d//OMDEUVT+D1xZSuIq0TvyvbbDQNMqht7kLd3T95WOtHDAz
qc2JOdhN+i640FXr+OCjHiUFX9YxZO74bXfW0a/mPXnviR/Bk0RqvgFan74e
jYCKVutRz+c3GTBs+e+F5g0Jz8xTjHB9btwlGkPHI25gz2C4EaWWeT441Emt
2B9nhNx/IMNFwETeqQW2VIERdy3zWcidXHzEcZ4RzaJPjz7LfKEukh4zfzHg
nWXffDjIvtmESAzob+8d12i1ANdfUT2F0w34Y9kfAFXYrLynhe9hN7uHf04Y
iE0F7jlZfXq4WfQEY9vgAYaOrgdjn0GSIgfcXDUC3epuoo8N/QZW3JTULlzW
J/dfzAzBV7Ns/LX0TqI3FJ2uSQa3NB2U+Un2Bd6LcKWjvjtUpyX6Oah1afil
V71FIyvRN62dA2f7k4MbS98QP4uR7fkMmZnteP02QbAlawmuqucUb096Rfwt
hYIzofLUzpcwZu9I49GXoboorrfiYCvxy0VuHe2mSNYCM217SWAHF/ka2n6u
6SnxH4Zlwtn1QzfUsG7bdo+avRw2HvGP/W43Eh4rEFlZlO5u9RBO6fF6e0Y4
CgI0uqCc+4RPBIZ454M0bBWoM7ZaD3dEoLh+Tis23yK8ViJDzZcLq+pQZGCe
Tg2NBPurto0dW0P4RULikBVevUaB8gDFTJMTD4Igu9ryZDnhyYN/S/YlU/tV
SI/NrVvfx8PemvzdKR8uEb58lElD5EOSclR3XeO23efjw4PK6d+1ZYR3FNhm
Tmoj7xzq/Xw0YZIofF5jvan01hnCPxpl8VOFi1ViNByW71AlRGMiJ6dJ6VxI
8ohGi/jGkVn5J/BESx/2XbQKqqVKse3PoySfkZomHVC8E+EFs+q41DkGOtbr
RPFwFskrBmyv00EBMw5Ak+vt4fEpBhRH5cumw3tIfrHIOJt3Z9rKZHS/qVSI
G2JBqdi71qk1nuQpACXFb4VySxx66TTOuDMjta3/GNbHWJKvEBTmwHmmVyT+
Avh02R4=
     "]]}, 
   {RGBColor[0.36363636363636365`, 0., 0.6363636363636364], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkX0w1Hkcx/e2jEm2Q6HZGjHJTonFpCvWvsWGld3selrdNN2YTtehnIem
q5RuG3LV2h4UU5LW1Gg3P+0qdUpYzkMqMqRI+2AJSZm5Uk2r2vv+8Z3vfObz
/X4+7/fr7Za0W/wrnUajcb6d7/eX3HG2uuoT1z4w6DGzTYf/axtk2tuN1OzT
o143pbCaswipG08+HF5kIH0mWqM/c8KLDLgon97Kvu6K4UN7b9/4bCDv3cE9
GHyHijBiyGdybEDCQlmJxmZJjhFmy/9VaPiozNaVGOHSPZp9dK43rgS5hJvK
jCizzPPBBpH2FU1uBLXuXS5T4oesFqmcnmLEfcv8NZjbUbSv3teIx0ff/Pv2
uj+EdHb5MpMBLy37fkI+865HYJ4BU/0Ttq1z1kMfGcFPcjJg1rI/ACpVOod9
To8fV46JSxM5UDePcQps9Fhm0cPFifZEp9IMHdh/jhRnUoApf6LzlOIl0RcM
5s+Cyh/ihnB1+I+pir82gOs7KxOaB4neEHgWnOHpFQOoPZ7uIPcKxfLJ1Pky
/nOin4dX+Xnb9073o3XNbv/9/d9qq/sBjPKnxM9GCM75HrZL6MPTwTRJsjQM
NI1QXuvYS/yF45K7wbr9RQ9Gj6TuF3lHYMuB3/+ro54Qv3x0JnVT3ce68WF1
ykXOMz50hVGdrIwu4j8STYFitrTlEax7dzayjmzCNX8PlmNdJ+ERBaYsnaFs
7oBzzm/DDmwBLo9n9f2jbyN8hPAb4e26YN8K1ood1uZnQhzopWY1MS2E12Yk
V6ve11zV4vyIX1FWSDR+Uc/b9pbRRPhFY4Fzlu3Z/AYoAtQe484iVGS/2FPq
VU94irC4JGNpUE4dlDLf29smRRjMTJQ6WN0hfMU4Q8/mmx7cgsZQze9tEoPX
7MTY3ldDeMeg37Vnp9pdg7q1PgORxTGQuHjWaqkbhH8sXqtkuxp3VEP7N5Xa
kBaLYu7ovbCUKpJHLNatKAidpqvwYMjb7B8ah3SlmJu2p5LkE4euQ4ddPBuu
oMevqlC5OB60hQt05e8UJK94zGy+bJ7xKMdAnpeb25t4XNpqcpw/c4HklwC7
iljXQEYxjM9V6rPaBETPE6Q0Vp4meUoQLDjZ3HOzEBPeq3m2JRLk1lBfJkIK
SL6JyI1y7vo4JsVXJaTWLw==
     "]]}, 
   {RGBColor[0.2727272727272727, 0., 0.7272727272727273], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXswlFEYxr+iNKXUYlyaSTuJhN1lbLWSRwgrYVdYNVKNLirEqhRpi2q7
TDFNuhgqVNtIdrZESVYamZp0Q26x+9khKpeuSq227fxx5sw773vO+zy/h7kx
UbhpIkVRHrrz7/4jGWArbv3yHD1iw9tTrsL/eipGMuIhE6rxUDVUNMnADKlG
Y/VxTWrSt4Z1zYNkZx6NguzP0ezSuVjgKA26JqHJvC0s+YlybgmNLs6n/g6R
PdLbZJPT79HQ6t8vhNtMprnNTRpzXvXtkhqy4J9S6FeRSeOS/j8OQqie9iYv
GmVLRiTWIlcYKgvHTTVq1Oj/d0P3vKp89wQ1XkgH64dLuTCvyK1cq1KhW79v
Mexmi/PGlqow1PrB+IkBD42mfqLoyd0Y1+93B6+/2Sky6R1MHPqF+VEeOFZq
tvtMTQds9Ho8kZbOvt442gb23t7z4jJgQufB5MT5rUSfFxLWaI0mBLfguiZp
qPjQcoS5aJsL9zURvd54ukb8R6p4jYqTOxnZzj4YMDxoWzT2kuj3xfGfBuO9
dxrxxC2Rm9bqi91fssPtip8RPysQW6uYJm9owNvOeNHmTD9IzHK+W9nWE3/+
6GK+NFl3tw59WTvSBKwAbFuWdCAwo5b45UP2/ZrD/S8P8cNpe4FHGx+dIdvu
zFhVRfwHIvTbpN6qiZUwao6rtc9aiQdcy7XJM8oJjyBMcWXdzYtTwGL/Vg2D
vQoa8YvHx6bLCZ9gjEYl/47oK4H9/C1G2rZgcKzX5eU4ygivELQevey5r7MY
eb2uZ1O8QxHAidjrM3yF8AuF1/vHgbHVBShyV9gNWAgwbCOqfrP8IuEpwPqF
z1N+bchFySmXyphPAoT63QiqZpwhfIWYG82IORuQjdu0nN/8SIjL+eFT3n08
QXiHgfrIyPK1kqJqEacj8HwYlAWHB68OZxH+q6FiFS6R+R9C3fGyHcr41VCa
21ot1RwgeejqHkdT9bk0POtiabk+4aCGEuaczNxD8gmHpI8jby8W443rrdMl
lhGQtEhTM012krwidPNlZhblceg44sxkDur6X68oehxiSX6RoLS0yyzjGPS0
31Tk1unqfM+WjZJIkqcIlDlvccNhAT6wnHyNL+jqDDrjaAOf5BsFKvXEbEul
N/4CjITNtw==
     "]]}, 
   {RGBColor[0.09090909090909091, 0., 0.9090909090909091], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXtMk1cYxkmpIToD4bIgxVhBB8JoKbVVqS2PCopUUKjIioGIt80qUBBZ
QhoCboQQ4xQypow6SaQbJkBRzMbmBakYiLd6mY5SvEBL+/U7igViwiKsGyvn
j5OTN+857/s8vyfigFZ1mOPj4yOfP//f/1ST+G7jx6RDugz72ZJRLNRLsKPt
+4c1o6PoHXW3LvINgYXlmJ/vGqN9HmKZqTXFvWO4WD+dH9+5ElytqEASZ6Pv
V+O+I2XO02TDa9EEO6KORmTBjEDPtcPj/R+L1GqFyVxsx4qnTHkdV4jMZWWO
vUN2tHjniXDg1RGZRzGOrg1T1Ty1GBMVFVFfXxrHbe98Ce5dZoxVXAce170f
mOyU4vk+Q7DloANvvPvWo4qn0Sj6HHBb3i4d9E1E8yXdQW2YE/9698sgCOws
FWmdCIhhVT/lymEvsyenmpzge/Uk4UKj5nJ1AIP4CmdTWRfA7bl2/mouQ/Vt
gmbbsZV/tDBoGy91G77ZjKhc3dDJMYbq3YKQu4JKDt+FntMlQfWCZEgKgrsV
ahfVnwJn3uFHm75zYVCileosKVAqh0Mie13Uz1bUFak6PMSFoZdF6i+/3QaZ
f0LD38Es9ZeKzMHlNkkiC6amUJcl3I5fLrTqrXtZ6jcNpYVOa2AFi5m4Yxfl
w2lY+67B4NvIUv9KhJvu863tLPxeaEzRNTsw+cQcY+pjKY90vHscwGeesQit
PDIeFJ8BoYF3tdLGUj47UWw83XLdzSL6s6/8PMM74R9avtbykaW8dkHEqyz/
lEugd4p/OLElEwbrpPS3Twjll4l6vf8sJ4igVdYdRUKz8GrArN8eSijPLKSf
aX7wVzhB+5mE3/dNZGF/UEPjHJ9QvircTHu2mLOa4JrtStqLOyqYHuat4q8h
lPduXEmWby2JI7ixTjSibNqNsmm2jRURyj8bS16enEmXEvSf6irsK5qvVeGc
mERC88hGbGB2pHsjwYPXQo80eQ9cR6M8kQpC89kD/6rAz+vlBH+KjWfbl+XA
Ya49lC8jNK8c3CpQFk6sIxipFUREvM/B4mm/sQ4xofl9AbH+55kpAYHd2tF9
rn++/nU248O8/oU81bjOi1U/XUXwVhiXsvRHNYzNx2sbVxCaby6m88N6EEbw
H1PI2cU=
     "]]}},
  AspectRatio->0.25,
  Axes->True,
  AxesOrigin->{0.0005089265140623305, 0.5},
  AxesStyle->Directive[
    Thickness[Large], 
    GrayLevel[0], 
    Dashing[{Small, Small}]],
  Frame->True,
  FrameStyle->Thickness[0.003],
  FrameTicks->{{{{0., 
       FormBox[
        TagBox[
         InterpretationBox["\"0.0\"", 0., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.2, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.2\"", 0.2, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.4, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.4\"", 0.4, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.6000000000000001, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.6\"", 0.6000000000000001, AutoDelete -> True],
          NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.8, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.8\"", 0.8, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {1., 
       FormBox[
        TagBox[
         InterpretationBox["\"1.0\"", 1., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}}, None}, {{{0., 
       FormBox[
        TagBox[
         InterpretationBox["\"0.0\"", 0., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.00025446325703116525`, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"0.5\"", 0.49999999999999994`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0005089265140623305, 
       FormBox[
        TagBox[
         InterpretationBox["\"1.0\"", 0.9999999999999999, AutoDelete -> True],
          NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0007633897710934958, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"1.5\"", 1.4999999999999998`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.001017853028124661, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"2.0\"", 1.9999999999999998`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0012723162851558264`, 
       FormBox[
        TagBox[
         InterpretationBox["\"2.5\"", 2.5, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0015267795421869915`, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"3.0\"", 2.9999999999999996`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}}, None}},
  ImageSize->800,
  LabelStyle->Directive[18, FontFamily -> "Arial"],
  PlotRange->{-0.05, 1.05},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.612019629874008*^9, 3.612019645708927*^9}, {
   3.61201970005763*^9, 3.61201972906248*^9}, 3.612019765043295*^9, {
   3.612019931208337*^9, 3.6120199345663643`*^9}, {3.612019986601139*^9, 
   3.612020060726012*^9}, 3.61202020589815*^9, 3.612022396484921*^9, {
   3.612022943418921*^9, 3.612022952769483*^9}, {3.6120229838218603`*^9, 
   3.61202299773657*^9}, 3.612023274901819*^9, 3.6120233117893343`*^9, 
   3.612023451171741*^9, 3.6120238662906017`*^9, 3.612024623333036*^9, 
   3.612024921607897*^9, 3.612025087150165*^9, 3.612025156919291*^9, {
   3.612025205054802*^9, 3.612025232788093*^9}, 3.612025278623808*^9, 
   3.612025324791725*^9, {3.612523824295064*^9, 3.6125238324109898`*^9}, 
   3.612523925074567*^9, 3.6125239692592907`*^9, {3.612524191988719*^9, 
   3.6125242143687773`*^9}, {3.612524344465478*^9, 3.612524490145603*^9}, 
   3.612525993489235*^9, 3.612526110785407*^9, 3.612526224774617*^9, {
   3.6125262668749332`*^9, 3.612526277157588*^9}, {3.612526956849444*^9, 
   3.61252697729992*^9}, {3.612527010801265*^9, 3.6125270419687233`*^9}, {
   3.612527090293182*^9, 3.612527094571863*^9}, {3.612527141389193*^9, 
   3.612527192557644*^9}, {3.61252726777772*^9, 3.612527296396797*^9}, 
   3.6125281278938007`*^9, 3.6125314769882708`*^9, 3.612531596873788*^9, 
   3.612803152557507*^9, 3.6131426680864363`*^9}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.18181818181818182`, 0., 0.8181818181818181], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkWlM01kUxcGqNWhAcUMkIhGpaBcEWhErB6EuRQVb21Ic6cSNxVqBoB+E
QAwQg0uAJqJVI0SLwQkDKCMZowbUinywxoydarGKBbrQ/v8FxMQNxaW+Dy83
L+/de8/5nYi9BdIDU/z8/IQ/z6/67biH19H2Jcmfe2/+9Sobft8D8DrhqqiS
OYAu26h+GmMe0oT7c2TVA+Q9FOcsyUud0wfRUDeezWtdiremwEJG5SD5HwlR
8D3Nka+D6I/xuq1KFl5kqiL9iocw6etfCUGCRVDoHMKS/1xHq6dyEXVtfMFZ
hR2NvnkxyElZFZZqsKM94d3xUGUs3lyMr85mO9Dtmx8Pfo+iy6h14Fn1yOOx
Vj4CBdzxivcOvPXtW4McPK0okTgxaqFm9TLW4oPhJquzxYnvvv2JqDo1MmPd
FBeCot3Sy1lCjE1ITYvkLoT79CQh9/lh074mF3jHnLridqA1TLiEN+Yi+pKh
1uQ/OZswjGZ70WhTxQaoR8WpN8qGid4U7BMvuNLQPYx/zxQG13FSwY5fF10+
OUz0i3DnpOm5JtGN3vgCfqlFhEWc6UNnit3Ez0ZkyXt0X/5y4+VrjTKnchPq
AiQu8xs38bcZl1V969cHeeCqOlQq4W4BJ7d5V3qSh/gVwzpPvCJK7cFHtrpB
2CfGbGOm3lbvIf7TYAvX9uq6PGCa8x+wqraimRlamefwEB7bUGZxtOUFUFhY
lmcP5m2HnbFr5k0ORfik43T5gWRlBgXW8lzmZF86GvkqW3EBRXhlIHgiSBNS
Q+GSM7b+SMoOBNwpV2W1UITfDuzWvVsp7qWgT+yI8iyUoDRsJOPzAEV4StBU
3/dHyQSFlprVt//0ShCyeOon61ya8JXi0y1qnL2Kxj+DN8Tmh1IkP6tNK91A
E947YY7rFPyvoHFXEGNN0+2E8bx/nEhNE/4yNJVZZ7wsp2E41X7ovkYGlfu7
5byWJnnIsExqiNTqaTzp507yU+XQF354YbxFk3zkSFlxcJush4Yptq22JUSB
InfQ7hgzTfJSgH2hU5Vvp2E9wYmIGFGA2pMtYL6nSX6Z6O6Plc/x92Lo1d8d
5wyZmNsf/qgm0EvyVKJEy4g+sdgLissWzbqghKCo1viN5SX5ZmHzwaeNE3Fe
/AAG+Nl7
     "]]}, 
   {RGBColor[0.4545454545454546, 0., 0.5454545454545454], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kXlMk1kUxRsBF0YHoxWkUcaqgEtpK6FYTeMZBBEUSlu24mgwZoABUcR9
GbUDhqkLQokKRsUNF6wVrRJHUFE7EQ3GigSpFhELft/7QMA1jsp0dOrzj5eb
l/fuvef8jnBJjiZtAI/HU3w9/9d/dV0S87lPsyTtw60fVz3Ht7snaj0XasOv
OXC9ve+4hxsfevfrjjhbB30XIKo6Nz+rvhPlxW8WSUzj0PWnV8ipohf0/0S8
9JJ8sIQyaJP2cHZtIIyJHkLhLQZOV/8UkPA3nmmhLPwa2TV6dzHM7zYoV5Sy
OOyaJwV/8UHPXMKiSv5aJ9AGw9ePX+OcSlDnmh+Ca8RokP1KYNX33n5lkqEp
ND7xfgnBM9e+6UhfXDg4+ApBn617aL3bDLRPHtKw3Ubwn2v/THTrH61veE3g
NZnTHEpRoNWQd8biweEnl55ZIFfelY8dxUGygSlbVQX4Vtt1meM4qu9n1JXu
XyKcxOFUZ25fRV4YLh0dLzeJOKp3Nvq5jQPTxRwu71oxojgoHP9g2OqyII7q
jwA/L8NeMIVDfUiObJMtAj2G5Z+y/DnqZw7cfRZo1vlxaGldpk3Pj8RTVUqU
7aueb/7m4mFO8sjqHziw27I3qcVRcFov6KQ8jvqNhnvCydLMtwQfREvLFY+j
4a05Lfz9xXf/87D27c4xfzwiGNSceTNw23w0DtgiKLr9nUcMfoz5WFJTTeCz
+bfOEZJY1BFloHcFoXyUeDjK3mo2EAT6ZwxyPlZC8csh5ZEthPKKQ1jlgZaX
WQQHmOC9q2eroIqVXz6RRCg/FfYIcqQtYQTHZ5oDunzUcKb8XbFLRChPNdz6
C40PvAmMu6f9ldqjRrlpQoCJRyhfDTbuXqqe2sXiouN8dPMtDTqyA5rjm1jK
Ox7995WN4qssakOl9nll8bgzqZGzVLCUfwKmP7CpBIUsLDuqsm8sS0C/otMq
X8PSPBJwprLB6r+IRUOb2CkLT8SNmrZUNoKl+SRiYbFckS9i0RR8rsg4Ogkr
+WlNzpEszSsJ94qXz0/9zMBeECQU9ibBNyajoNLB0PySUSLTBTjuMuh4cta8
z5KMe3NrDcMuMDRPLWLCIt9Lyhh0i0URQ/drUXRMHxW7laH5puB0am9cZjqD
L2Aj4V0=
     "]]}, 
   {RGBColor[0.9090909090909092, 0., 0.09090909090909083], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kXlI02EYx82jiyxQ0+ywDNMO3dZwViJ+M9fKNI85d2Rp2GWHlB1gmHS4
wiLsWGqhKZZNKXWyQosyS2Gxkg6XOY+8delyT60iklrH2u+Pl5eH532f5/v9
fL1T9gt32NvZ2YX8Pf/uXydG2erq8dBSScvJW04D+F9PhUCmCXCsGMLjXrrp
5OAGzsdxPveNwdafjQNXzFHuZ0ZQfNG8hV21ACX8BpVYP2p774Ov7T28sC4j
ujljI51SP/zaY5RNKfsIi/X/Ukzvl6QlhY7B643hSI4jCxFc+5rs2jGUWOdx
kLzaIDe4maBa+fnEbCkXt2LWFmqTTWiwzg+E5mtigrbQhFc5Js2nKh6EyiKl
qNmEHuu+FZjiKi0Z/2IC6Y3TnjmsgqV0e365G+G3dX8w8pTa66/ZhBlLRoTX
ZSF4v2niu8sCwnyrnlDMv7B+xnMZgX10+OohFdBYPy/Iew/Z9K3Gdt1ioVcG
oXwwncpOhaE+qVS6TE42vWugOT29tiiXUHf+gMvFgHAUO4s5tQVk088Hb7Na
UV1CeBa4n5ep58Pd9fgxtZJsftbikV6XMVxJaOtKk+7MFiAlpbwyVU02f+ug
zKrwENYRDPJ9mXGs9fBNrVPUPSSb3wjkG78V3W4gfPffWxzSHoHeU66fVjUx
/jdgtyp+8kENYVLr7qd+8kgELsuUb9EyPKJgEXhmODUTPLJSB13YG1EZn1iV
/pLhE41oyY2OitcEv0W7Jlnao1EwIHtZ08LwikGzs70i9y2hcJibd3hNLBqN
5vOCdwy/WPjwnRVdbYSbwWrfUY84ZPOiHETtDM84tI3+0Kk6CHdyl99PHovD
ooqFN8ydDF8hljo01Xu9J9ztr4lobRQiycU9MKib4R2PmbEJ+uAewsMgTueG
q/EQNfpHsnoZ/iLktHpOcOkjNJ1T7XuSJsKPgr51hj4mDxF0vuGRqn7Ci26W
hReegPuPHT33DjD5JODkvcNlcwYJOm71hTuzxFBsPaR9OsjkJUbmJY+YpCFC
55kAb2+TGOawnyOfh5j8JGj5Fh6aNUwY6KhU5zdJ8ISzuc/OwOQpxbaus4lZ
f2sjy58/7ZoUD+YKlnwxMPnKIDKnP0r5QPgDPxHtaQ==
     "]]}, 
   {RGBColor[1., 0., 0.], Thickness[Large], LineBox[CompressedData["
1:eJw1kX1MzHEcx1Po3BiLFdkkJEx1XVeJeIejB5RLDxcaSikqQpbluSZChR61
yuP0qMSolQrj0sNaa1FOCadc7e7bsUh1v5+f4/vHd9+99n34vB/Mgw56h+jr
6ek5c+vvrj0zYFPxYHTN4yQPLyVfgX/MR59I/MYtsh+1veTOJINZOFzES/uu
Vf4/N0VdQ3NBZdsg8lK/B9qUzodh3ene2Fmq//cXofZdW8y9IRV6BCqlXGqJ
/Hs5xoaJajC698tQtDs4Ikutxry2/pgLE60hfGicJXMgyNf9J8CTlqtmsnCC
shWaM6ZSIX53V3tJkgnqdP+L0NWS4NhdQNB6Qf16qNQeojHRtPAago+6eY5I
jrbKGG8kIJ2DU2UGTnC+Xa8Z7yBgdfNXYsLFaeVBPQTTlyq9cwOcUXtzxpRu
BYGZTs8aOCSm8ZRKApvjfVlHyoAROTPaq6L6XLA6MKdtsobgviKa3D23FoW+
e1Zc+kH1roOmcsHxa8METy8fMkq1Wg+XqlMKx19Uvxj5TJ5T6giBTHTQPq5T
jMYlcwKLf1M/G6D9qkhLHyV49yFSGhq/EW/1JkRJx6g/V+Ts/LR3jOP+hIg4
ibUbBClTghLGqV93BHswxiMc/1p+IM+5yx2B+YvE27XUvwe+DJSqSjk27Ah/
bpmwCWkhP+OHtTSPzZDZnde3YwhMToYpjGy2oKmBxwtjaD6eWMDXfEvn2NJi
nyHT5YmehdNrnzE0Ly9cT+Yf6uU4p0+YfnTdVmTEHKtnGJrfVqid+JI5LMGd
lRWLB0wk4HWGFgpYmqcE2QFVqzZwXJxsW7lLJUGifmyYP0vz9UbwUPjZfRw/
+lzu3vHCG3mu85pjWJr3NlSoSfw5jqsdBHKPrG3YkVsiv8LS/H1w11HDZHL8
Mqksoj7SByMP3WfeYmkfPqhpN3Mq5Lipx5qxX++Luf1nL5eztB9fDN9osHjK
cbvwQUrxbD90asxNn7G0Lz/Yjk468YJj+Xkrc3O1H/ZbZu+QsbQ/f4xFsK+b
OP7yvqQi46U/REW3G1tZ2qcUUaejots5HrReLp6aLYXJRoNXb1nabwD6Mj+1
dHH8B6OgBpc=
     "]]}, 
   {RGBColor[0.8181818181818182, 0., 0.18181818181818177`], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kXtMk2cYxbsJY1GYkehQdGBjhamlrSjqDHKqVFmRgS21fCQzaMnY1BLQ
iWapTsPUEK94YamCXZQJiReKRQKRBWRMiIp26sBiTdVay9ryPYDo5gx21vp9
f7x5c/JennN+R6grUn/zoUAgSA6sd/ubXV6ppe51Suuimma7zon3eixCtZ3x
E390ofXxYHXomIkQT63zNy53c+fRYE2xQ9d+64ep/Pka6cXpkIe2dxvZv7n7
IrywzO5Z4/LAIWM9diYeVUO66KILXviD72ejRtbh12X5EHOnv6QsRIJNxlNl
I3/58EvwPxmqPtoWvjB1AOZFw7uimUQ8szHjWNMA2oL/z4cDyledvgFYy6hz
6GIS5l1Nk58Vs3gUnLcQK/ZXtnblsxi0+cK7xnyBrTXHEkaOsvg/OH8xHMLa
hoMtLMbP8qhP5SbDJJy6/7KDRWzQTwrcxz/fmPGGhfQHt/F7M9DbNs0fMZk4
f3IoXjjXHpYSal2bBn8tXYq8obXrVyqI87sMoxHX5bVaQtOB4sjyhFTs01qv
/FNAnH8Frr22Nu0sIXTNL0oy2BSo3xbTvb2UuDzLEXIykok9RLj/sJAp+GkF
5Hkn5x4xEpcvDWGbo169PE3o3603qCRfYsmJr2fqzxGXV4nGPyXeCAvhX/FG
U3KfEhJB7pPhZuLyp6NF5Dg9p40Q1rO+PX73Sjhm0YLuP4jjkYENH9wudV4n
RO34zhUp/Qrp5s5yw23i+GTi6d7svjN3CfEzvw3z92WiyvaZQddLHK8saEas
Gzr6CJXuxIoty1ZB272u8tZDnt8qvJwjm172iFC92BLnjVJB4yTlf094niqI
9NltcS7C+UNzm/NYFS7Xi49OcvN81YixG1Q3+gkNznplz+9qWCI+nqL08Lyz
sbXkjqnCS2hZILOnG7Oh/qQppcHH89eAyT8ecnaA0LHPrL9aqEGscEJjIcv3
ocFdr7pnPBFuOiT+pNTV+FR05dJB4vtZjfrRm/megL6XWHf4/GQtYloL7osG
+b60GB1mrEsD2r43QSikgE4v9rzT7/vLQaYo8kxcQD99cMHyc0cOim36nGHi
+2QwQ5CVUR3QPolYEX6Cwb1e87klxPebi/zNz/e0B/y+BWQg9FQ=
     "]]}, 
   {RGBColor[0.7272727272727273, 0., 0.2727272727272727], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kXlQzGEYx0s5Z4mY6TBiXblqu5HsF8V2qW3L2h1jJJOKcmaUJKOdZt0N
WR3CFOnczdYWw4iWXGOMo4ONSOfu71UKJWxY7/7xzjvPPO/7PN/v58uO2CmI
HGFiYuL19/y7fx/WcpTyIa6rs6RiV9dH/K/HwSK3OOdxzifc+dCTP9JsCtqX
3nUdsmynfVssS1KVjeJ34GJ630ZO2Qz8/N7vmiLupO9nQ5LwTMdd3IX3TqRb
I7KHddx9+YPeLugN/xeAV3w/L/NEN+xedO6Tmjti5i/vgVkTtbhkmOeER5qh
xBcpWiiWfDlsK3LBwdotJZwWLWoM890gPl7SZuOsw3Pp57reMneYmla1avbr
0GLYtxizlnjxglU69DTpWA/NlmJecrigX6vDsGG/J34Mzy8ctmFgMb9bkCv2
wlen+PF7vRlMN+jhoijv+xe7aAacxI7MvQpgMEORWC5lqL4VkA4eyKi+yuBa
2+6eK0dWYpLHjbOlNQzVuwqqWwUZXxsYVJ/YZZnu4I2bPI8R7TqG6vfBlnuy
zXV6Bg/ddronNflgh2wwvcGCUD+rIdW0yPynEzQ2x4m2pq5BWmWqDd+BUH88
mFTHpU/wJOiUxCaFOPqC9U3CLVxNqF8/tFhlDXvyCQYWbb/o9cYP/svYfR/E
hPr3R/RUlvn1CILR9TH37CUBWJljGV2zjVAegfip/jgwbQ+BVXJ0myVnLXyC
zqY1JxDKJwitocvnjk0hsJ8TNVr/JghZdk0R5RJCeQWjsT8g/t1RgpwOl3Px
q/io7WbHZJ8ilB8fG2LGB/SeIcj3VM7VWoWgQBDI7ZQRyjMEc17LL6RlE5Sc
cr6xiYRAX9XPqs8llK8AkVFjzjddJqhoLferrxXArS9fJcsnlHcoUo9djpxS
QHDLw0njnxmKZNMoV2EhofzDwAtWrgkvJlAfU8TejQuDrW9HrEcpoXmE4VDK
wpnNZQRP3zvq3b3XIbnmQFaYwpjPOpja31bnlRO8cpGfLrEWgldpLXx83ZiX
EPKTmc+fKAk0aQ5s9mchXLJnHyqqMOa3Hltf6o9EVRJ8eluqlKnXw9estmGU
ypinCIMJA4FH/9Y6x0U+rCwR1JODz/eqjPmKYV0k8eVWEfwBblzrGA==
     "]]}, 
   {RGBColor[0.6363636363636364, 0., 0.36363636363636365`], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kn1MzHEcx5OHGzu0NIdFzvRwyV2PIvHmJIXifnfVRYhJkkooa+0ssVYR
1VbzmJbSrFxkeY4e7Dw0nFnjetKT677fdNfDsFpdcv3647vvPvt+v5/P+/16
f/mH4pgIczMzM++J9X8fS6GiSuXIxhTNS5eFOR2YrOeg3mG0hvndiVfthjsz
p1uh0ez51jMO3ez5EnDT3WyeOf1EQfbgPtH95Wj5k8qP42jZ+yuxc4N9R/Ur
Ldqc+0iz3B5eAcN+8fIeGE3vHZFbN6clR9ODZV96EtJnCDEjXKCW+upw29TP
GVeGbL8IinSoWDuQskTuCodiRWCnQYfXpv7uCDcfHnzjQvA5Xa/qv++BkkRu
fnkUwQ/TPE/oo6sarK8RGL73ct9OX4e5mgyJtJZg3DTfC398iwaDugjmCwhz
K9QbKsHF9LFxAhuTno3oZz4pjTwKUZL26qkKoED8s6R/FWX1bUKiwvCe8aYo
7Y43FKduxrZVgb+y/SmrV4yjXbqPs2QUTy6dsMxevQWbCY+ah1FWvw9Ss2Kf
vDtI8dY9ziP5uw+YwoDk3AjK+tmK649fqHIjKb61xMiPnPfFZ7WF8vdEPelv
G8wXeLzvOELRc+F4skToh8JIMSfpMGX9+oPpstyvCaf46xRd4K3xx7uH58KW
Tsyf9L8ddnX1xWHBFJzGqFr7CzvwLEkgLd9FWR47UVRdK7Pxo+ApjnZbigKQ
FVL2QAXK8gnEzeFQ1cM1FPa2kRyjJhC2I6WpeqcpXruQkOCZlbGC4obWNe+0
eDeGFofHXeZN8dsN9z5lFYdLccer0o7yJEizUnPHJ/hP8pQgozlvj2KIoOyy
y9MDfRJ0uFV+zdQSli+DmXtvzxNpCB51PvBvrGPA5y+3im8gLG8pyu5VxIRU
E7xY49y8/aoU1jWOrjolYfnLkB81YCEoJKjPrDheEyNDRFvVXpscwuYhw+hK
u/nqcwQNbUKjx5YgTGvPb8LJqf8WBGOA2u7UIYKvrsorZYuC0VKz2DqWIWxe
wYhtvVHqLiZoTlvN5+uDocgTpnxwmfqfIbjXV+zoxifoaiqvzK8PAdbfHYu3
IGyecjw6tsI2c1yHXqGTD/eaHGnWMSVn9To231CMtM/ez7Tq8A9YReMX
     "]]}, 
   {RGBColor[0., 0., 1.], Thickness[Large], LineBox[CompressedData["
1:eJw1kX9ME0YcxYGO0SlxzizpVIZiVLKBLatUxTEf0gIWBKG0tTBlhDEVEQr7
8Qc6J+GHkR8BlwYUUXEpxmYFOnBuZMsoLQs6WHQMnGBZ705QUg1FNzMSBJzr
rn9cLpe7+773Pi8kR6/6yM/Hxyf6xfpvXyh9KOnqmNtxSTm5uPUgxf/nJXj/
0BeZJVaKHjpj9Be8jsHk7+I0QsbvVyFIYJeNxDJcPP3Xfkn7WnQYVseYixh/
vx45+j7fTgODM2La5dCFQlvVE9bczrDo+f82thx+eXbKyhA8NPXZqZfEeGYZ
cDgGGVo88yIgWtj/98nfGSzbnpSu0kmh/Wo0/9cRBqtnfiTma4ZG84YZbp1y
9z9ul+GPc4mtCzcZiEdvK2wnko4G3mCYGX0UeF0QhbvvZtv8X+g99+hvh9xk
j034luHVt1yqCxnRyBbt2bjWxLDG42cHyiKLcobPMUhKHpz9xAI02t0/NNV6
/cXgcXV1rvE4w5XJ4pnWsp0wDbizVhZ6/cYi2i00BGcxfF9btOL0JjnKpU96
f0v2+legP14dr3yP4XqkXnZsVIFsV+XPF8K9eeIg3LVgpqsZ7owX6A6UxyNq
knSGLPXmS0Dv51mbC+copiqOHEsT78LyyKdVQy7K8yrR0yNM14xRzIbnX4we
U0KtErT7/kJ5/kTMRZ3I/7ObIuB2ni20IgnZIwEKt4lyHrtRdb7i6bYmCtHx
Q5MrJMloWLY711ZFOZ8UzGeZe6uPUoRuOBiwOJaC0g/rG87kU85rD+r15J5r
H0XzA2nDp7GpuDUtkJSnUM4vFXU1zxtzYyiM27s2PhSloexZ8XidlHKeabgf
dLPYbwOFue6d7g+m02BM9au0iijnq4K57IawfwnF1XvfKG/bVSDyMyVh84Tz
Tof8gCFv3wTBj1siHIln0+EvM/305iDh/NVoW9P4WuFVgr5qy5HeAjUyEjMH
ks4T3oca1+5cCr5WSTDoFC/K5BoM2CTBJj3h/Whg+vJw97pMgmFpR735DS1q
li+1r4sjvC8tVn4cOnc5gsBxclNIiFuL8YTmZV8HEd7fXrSS+y3hrxBM3G3r
auzbi86COkXYP07epw4tm4NqjRNOPBKHKwKbdGAai69hyMn7zUDbzjjxrNWJ
fwE4n+R6
     "]]}, 
   {RGBColor[0.5454545454545454, 0., 0.4545454545454546], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1knswlFEYxjeSiihd2C6yxmU0tbSi2jZPLZVLN6y1ugyzRbFJTSnSGhMh
KSpK49IU1bhEw0xpSsK0VEoyaovY0NrzmSxdRhHS+vaPM2fOvOec93l+z8sS
R/gE6zAYDN7E+r+PxlH25aXDLs1MxbpfUV8weZ6JC6bhx+MbuvBUoc7X052H
JzLzju9UN11fiN8lQkN+Vw/y0r/vtb9nAe6g7BG34it93wpWd3nv9u1TosPh
G2kT2WLcLIg9MqTEmOb9MswrSr2SEdkL8+beyOSpbFgkxqVMV/TihuY/B9hc
XiOJ56pQtmYwbqGIg7D2Gv+8JBWqNf+vgqrcuTnqhQpNyf2ygXtOEKubpE1T
CDo1/VajSpm2wZhDoJb3GdbrroUqjfV8/26CcU1/Lqw2qv80xBIY2xGf3AAe
zkRl6hjkEizV6HGBYkEeS/6AwD5amXWsDGAfk0+tbSS0vg2YcTL6lWsnwd2e
o+qCMxvxI8HXQNZPaL18HGm4Y3BrhOBh6hGT9BWuCC5cFmQ1jaL1u+F+wTW9
NCMK9asinGLkblBcKmUumk/RfjZB6mHiOsyk8KE9XBQSvxnZzUq5/xKK9rcF
wz/r3gcspdCbcCjGm+2Ow6HKOywLivbrAWGO9GXjRH1ouSSP99EDlnt2hUSa
U7R/T+hKpzziLKag3xpaY5vghRdz7GKZE/0meWxF4alOPm9Cj6n0YI+J/TaI
z46WFM+maD7b4TdLv/KEAQVb6wP6Yx+3Y7XRWlKkR9G8dqA2wvG0YJwgW8nJ
PM7fifw2ybnY31p+O1EpFts6DhLkc8ttKFNvhM0NSYohWp7ekCkyjIK+EBRf
XFkZ+M0bN1/flqjkWr4+MNL9VbjoLUFF132P1lofmPGd+Yx6LW9fdMDSLqeK
4LGzQ5tnli9mi0Paf1YQmr8AR/3mHjYuIqhLKTv0LFyA0u6qiwM3CJ2HAP2N
0qs5mQSvOthjTq5+2K8zkGp6ntD5+OEN9jgExxG0cErTis2EYEiZf5MjCZ2X
ENYt7uzEMIK2xBUsVr8Qn7kjjYGB2vn0x1B1S5GZgKD7U0n51Tp/LAh3klS4
EzpPESTOMxM56wn62MvdDK+LUBLK9spaqZ3nALg/TvmqtCb4Bz0J3WM=
     "]]}, 
   {RGBColor[0.36363636363636365`, 0., 0.6363636363636364], Thickness[Large], 
    LineBox[CompressedData["
1:eJw1kX1MzHEcx5u0thAuW2TSeUqWu0pJab1VJ50e1HXVYSfyUCEPuaM8j1jE
abOSybVWoaXuXDNhSTllKxSirvRw3y+p0x1i5qEj5/f747vPvvt+P5/P+/16
c5N2i7aOs7KyChg7/+ro8SG+pupnoJWgRqVo7MP/ux3sZ2hLMvf340GfqcTG
ehr07RH3yu31zLsTZo0Pyt6Sq4cy94uUX+mCxEkNQo5Zz/yfB2P4G07SOoIe
j+HBLokrzOOCEt9eJzBb+hfh9yrtxYcfCJzbBuTZ43m4ZfATf3WmKLLM88D9
6SqDQwSFatnn404SL2xMr7l9YC9FnWW+N9IzzrUgl+J5trHxU6UPypqii6Xl
FL2Wfb5YMgvzCmspTB2GiU3Wfgje3nL62lOKP5b9/tA1u2on6Sgmuw2Krq4N
QIFH5NxIQjHboicQKVWb9E8HKfiZ7wv2qYAwhxDvoWFW3woEvbDTmEwU1+le
U+mJIDgbXqznfmL1BmNbrTLwrpHizrk9nNzFIWhL6GkdNLD6BdhSnOHQO0DR
5L3b51CHACunZZ6o07N+ViJDJui52U3xpjtNsu1kKNSv5a+07ay/VQiL4Cq4
zygGsnYeiuGF4dfC2Qt1j1m/QlRI5sywHvP/3X2HMqBTiFK/8uyqatb/auz5
Fnb54xgv2/bUetescOQt33ijuYjlEYHm0P4sSR6F45EUyuFHQjd0Sak8y/KJ
giDcgX/jGIXr/GRbc2cU3Ka4SY/KWF5rUOTSu94tleLKe688WXA0uk8ln1JL
WX7RqJc/SHcSUZT4axYMOcZA0bZ5SlooyzMG+sP56kp/igqFZ03icAwafVNm
9vNYviJ8Vo8UTphLUa1XC9sbRChLHpnq6cjyjkXhL+MX8QSK+0s9ulYXxMJO
7b7h4B/C8BdDlaFwKR0heHRWtfNhmhgBaYdrXw0QJg8xdrX+kNt3EzT38Mw+
IXGwMY5GxbYSJp84SG8vcCzTErz0qrpQMT0e5zkdO2zuEiavePQXd9TKKwm6
Ti/mco3xsOUfjPteTJj8EqDWrIvPyScgupua/EcJePzuSYNXDmHylEC29PVR
4zECA89dMPGyBGeqnWPrZITJdy2EF6NMZakEfwEMnem0
     "]]}, 
   {RGBColor[0.2727272727272727, 0., 0.7272727272727273], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXtMk1cYxsmAIApxVZMq8QYDC5OWj86qIOkjUEFQEbBgbUSEFKYTBBGv
YDCDDGdQjIQNJCIKmTeQi/ESwQsQC8mClgGTrua7nK8By0WEZDo3hbHu/HFy
8ua8532f5/d4pmbFp33h4OAQMnv+uz+fHgloufO32jTXq1q8y+P/ei4yHv9m
2h4j4Ak/UevsuAgRbZ/y014I9N0D/SmjDK8iqL4wlRTQsBLHV9YW3iwmtN8b
jV/+7ECMBCwzbrPoZChRBldmvieYtv//Gh5TvekvFotY3jt85IyTAj6TNZ1e
jIgr9nkMmEInOaMW0bh+8rSHTgm/0soVhzQintrnr8HG9y0qr9n65Zm3xncN
Kly1VqVtm+3n7PvWYXDtc3XfNyImBkfduhyDsHdpd1KOj4gZ+/5gpPh2GXoW
ipjvZ4u/vCsE2W0FHVkzBCvsetRo+i6nuPcNQcCJoYrDjcDqSyX5ehOh+jai
P9uxznCf4Lr10ETd96G49ZrRqKsI1RsG9Rxl+eoCggcl2QsuyMPhWlPgvS+V
UP0a5J7M/izbRNC1JkuVN6hBjiT6WoWMUD+b4J/7gRVcCV69ztSlF0ZgefuP
+avGBOovEs8NXpai2TyGizLy4hSbEcO2HpU2C9RvFFrbk/R/lgn44H+gOsQc
hbNjZUXKYwL1Hw0bOQxeL8BlYH+7rGgLDPVuB90hUB5bkZlnNBm/EiA9tc+6
IGAbRsqnQqWuAuUTA0V4+ajLBA+Zz7cu0+YYmI2Rx2oGeMprO5box9cPt/Go
GlKW54bFYui6WSvU8ZRfLOoD3wkXz/GoDW5ZNSKNw0dJ4JyZozzlGYd7RLrU
N4XH7fOBD5PH47C7yvvB/K085RsPudzSc38dj7ukKWqgIx4NZac6l3nzlPcO
WCRteRoJj9a1jCW6Ygcy9ngOaKc5yl8LZ/2I5rKFQ+fZxoxnmVq4h23oSH7E
0Ty0SPjnkaryEodfWcW0KjwB7Y+bXSPyOZpPAvYGh4akJnPoU94pvb04Ef2f
bmTZwjmaVyKaSrv/+t2Pg+UHuafn20QUm+aN+Ug4mt9O1Bptvr0fWYh/1Lf8
1LkTR4I8DH0iS/PUocJ6jZG9ZDGq8Ne4VeowaTW7dLWyNN9d+GXD8diGmyz+
BakK4YE=
     "]]}, 
   {RGBColor[0.09090909090909091, 0., 0.9090909090909091], Thickness[Large], 
    LineBox[CompressedData["
1:eJwtkXtM01cUx9EWMdPMRFAWXIWqA0SgpQEdD/3yKBOQdbSUWhJ5jCGwCFrj
NDJiRGELWqxdwkiNIkaYU4GCrU6iDnCQmQmJMSvy1lpK29+jraCLm5E6190/
bk5u7j3nfL+fL7/kgGzvUh8fn6T357+6WEsLDPo3O7SxOTqeyoz/7x8gqfWW
s+WZGX1md5svJwDqa7cOfiV5Tt6DEH5FLU+89xwXtQsFgq4Q6DKCEq3hFvJ/
EwYPrQhf02TBU6GTmlKGoYH7aLJu0QKPtz8C36olt6nSWax/bD/cwI1GRWPb
22UPZ9HqnSdEyHfrNO2RVnR/Ol8bpBSh5cIfhqZGK/q982Nx2H9oo5Gy4lGD
6/cXXXEI7Zdft6bN4Zl33zbw+kQ1a8/PwT3OrHzAicdIREDVdvcc3nn3J8C1
amR9XrINqzZTspb8JBzvLA4q0tgQ7NWzAwMx84tfTtggqLbpDnUD/o/X9VTw
7URfMoxdRW0nyuz42XrQ3X4yBfUojei7aid6U6Fe8WImxmHH7UbVam1UGo5Y
1AELmxxEvxj618n71hQ58CD2QFzNuBiqgNpCY7OD+EnH+BBnYXbYgbHpKmVZ
3Wf4+O+Csn6Pg/jbiS2lpjcFAgr2+soaaXQGlrYI74wVUMRvJkbGY6Xi0xRe
R+67mDSRCX51tfPOTYr4z0KxRbNRNkPBb/Tr+2H1uxDlVk4Fc2nCIxti1pgS
v5lG4LEK62rB51Bmn+kzZNOEjwRPThldrftphH1S7ueZkECl7L3kf5YmvL4A
d4PCFKyncd4m+vGb1BzM/zRzd3SYJvxyoC9O7U930GhLMITSgVKIt1fWHucw
hKcUUZw68w88Bh2amN4ipxQDoa981VsZwleGoQRPyVEJA6OlJ3P0NxlMhc33
yvYyhHcu4sx1MSU1DO5uFU5l6XKxzNWUckTLEP5yXGZNpq52BoOnuysHquTI
+vVGqn8vQ/KQQydbkt/zkMHw02hPXFoeLmVMl2imGZJPHniLYsEvTgZ/ivRn
Oz5SIOSfpkChhyF5KaDe0+nL/ZDF1PdRfL5LgbeN5up4Hkvy242bV65qx7aw
mJ3sNDQP7saQyG/5XDxL8lTiqOqGuGInCyY6UrzynBLm4L8U5XKW5JuPl4mF
7+zFLP4FpvPhtw==
     "]]}},
  AspectRatio->0.25,
  Axes->True,
  AxesOrigin->{0.0005089265140623305, 0.5},
  AxesStyle->Directive[
    Thickness[Large], 
    GrayLevel[0], 
    Dashing[{Small, Small}]],
  Frame->True,
  FrameStyle->Thickness[0.003],
  FrameTicks->{{{{0., 
       FormBox[
        TagBox[
         InterpretationBox["\"0.0\"", 0., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.2, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.2\"", 0.2, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.4, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.4\"", 0.4, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.6000000000000001, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.6\"", 0.6000000000000001, AutoDelete -> True],
          NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.8, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.8\"", 0.8, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {1., 
       FormBox[
        TagBox[
         InterpretationBox["\"1.0\"", 1., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}}, None}, {{{0., 
       FormBox[
        TagBox[
         InterpretationBox["\"0.0\"", 0., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.00025446325703116525`, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"0.5\"", 0.49999999999999994`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0005089265140623305, 
       FormBox[
        TagBox[
         InterpretationBox["\"1.0\"", 0.9999999999999999, AutoDelete -> True],
          NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0007633897710934958, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"1.5\"", 1.4999999999999998`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.001017853028124661, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"2.0\"", 1.9999999999999998`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0012723162851558264`, 
       FormBox[
        TagBox[
         InterpretationBox["\"2.5\"", 2.5, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0015267795421869915`, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"3.0\"", 2.9999999999999996`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}}, None}},
  ImageSize->800,
  LabelStyle->Directive[18, FontFamily -> "Arial"],
  PlotRange->{-0.05, 1.05},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.612019629874008*^9, 3.612019645708927*^9}, {
   3.61201970005763*^9, 3.61201972906248*^9}, 3.612019765043295*^9, {
   3.612019931208337*^9, 3.6120199345663643`*^9}, {3.612019986601139*^9, 
   3.612020060726012*^9}, 3.61202020589815*^9, 3.612022396484921*^9, {
   3.612022943418921*^9, 3.612022952769483*^9}, {3.6120229838218603`*^9, 
   3.61202299773657*^9}, 3.612023274901819*^9, 3.6120233117893343`*^9, 
   3.612023451171741*^9, 3.6120238662906017`*^9, 3.612024623333036*^9, 
   3.612024921607897*^9, 3.612025087150165*^9, 3.612025156919291*^9, {
   3.612025205054802*^9, 3.612025232788093*^9}, 3.612025278623808*^9, 
   3.612025324791725*^9, {3.612523824295064*^9, 3.6125238324109898`*^9}, 
   3.612523925074567*^9, 3.6125239692592907`*^9, {3.612524191988719*^9, 
   3.6125242143687773`*^9}, {3.612524344465478*^9, 3.612524490145603*^9}, 
   3.612525993489235*^9, 3.612526110785407*^9, 3.612526224774617*^9, {
   3.6125262668749332`*^9, 3.612526277157588*^9}, {3.612526956849444*^9, 
   3.61252697729992*^9}, {3.612527010801265*^9, 3.6125270419687233`*^9}, {
   3.612527090293182*^9, 3.612527094571863*^9}, {3.612527141389193*^9, 
   3.612527192557644*^9}, {3.61252726777772*^9, 3.612527296396797*^9}, 
   3.6125281278938007`*^9, 3.6125314769882708`*^9, 3.612531596873788*^9, 
   3.612803152557507*^9, 3.613142668100436*^9}],

Cell[BoxData[
 GraphicsBox[
  {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwtkX9M01cUxclwYUEIGVNQtoDIrzCl7QggIvZY6MCiMFparEVBMSCbIGpZ
gKCJWpwNaQQE1ALWENxQKfJTMQFbfowqY4jigEI7pO23ksIE1EwSlTpX3x8v
Lzf3vXvP+Rzv9Fxexmd2dnaRH8//98rpOXrb7bfMQevvk4HO4fhUO+J9+j9b
am/GQzWzWP+5/RoMlf7kXHNEQPoemFcdKmdz+FCUvdpPb9qARMsruW5bDHnv
i7ygRml71z5MM15YdMIArBfVaYzVJ2C1/f8W+neJ8wWFZ+D5ZPZn6SoatnU7
D31Bl+GabR4DDUeVVt1gJZrDX572EAbDqBf/+2a2Fmrb/BCIk9YXa6PqMSJd
0Cw1hWKpoHfg2NQNPLPt24K8A7LS66xmLGrnnR7Yb8XMhVasZrbjg21/BE65
xY7kszvhEmjhXd0bCbV8RUK1dMHLpoeJhR4X9UlmD+iFz6+ImwHxTg2rYqSP
6NuBSKo7XnxuAA3U8cXrZ1kYlFfRlcKHRG8U+EXVXY6sIXTKjrmWBUUjv7vP
/FXYI6KfjTGhz0nV5cd4EJIbWqRlg39f/80frqPEz/dQVT7EoPQpJvQ5wkxJ
DOQeJZmWN38Rf7FQZcQ9XhaNY7Y4u4hL2wnWa7+Nh9oniF8OdvXXbWJ80GJ5
8xFF5CQHGZzUBcP2KeI/Dl4uwx2CXB0cxn7sDSjeBRrXV1lVoSc8dqOqlZ3R
cOtvuJ/Kolzp8VDUQZLWMU34JMBpLv3r2JZnCPA77GCdTEDJaLh4JGGG8PoB
w3f85/ruz6DmeXBVXlQi/OLOKxW+BsIvETjcJGJKDKiPaPOfc+fCK9Pf1Thp
IDy54J2vFiUFGtF44bt7aS+4SP1VcdBObCR8eShHU471nhHtxhbOWB8PptRz
vNEVI+GdhA0pUu1YtAldYQxd3JUkpPjY342QmQh/PkLq7pzxHDehv6Q5uyeH
D4FbWbnEkyJ58CFpVV+WHaQwNE2zhkYLsLs3f9ivliL5CGBwYCim/6TwNPh2
aeO6ZGxc6vyt4zVF8kqGi7slsPBLM3S/BHl7LyTDa215SEqAmeS3B8vZw5ob
YWaYppRtl/r3gOPGnmjcYSZ5CuFcoL57McaMedpmtpNciGui+vcHOGaS7174
aLJElo/1f3QO3pM=
    "]]},
  AspectRatio->0.25,
  Axes->True,
  AxesOrigin->{0.0005089265140623305, 0.},
  AxesStyle->Directive[
    Thickness[Large], 
    GrayLevel[0], 
    Dashing[{Small, Small}]],
  Frame->True,
  FrameStyle->Thickness[0.003],
  FrameTicks->{{{{0., 
       FormBox[
        TagBox[
         InterpretationBox["\"0.0\"", 0., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.2, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.2\"", 0.2, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.4, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.4\"", 0.4, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.6000000000000001, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.6\"", 0.6000000000000001, AutoDelete -> True],
          NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.8, 
       FormBox[
        TagBox[
         InterpretationBox["\"0.8\"", 0.8, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {1., 
       FormBox[
        TagBox[
         InterpretationBox["\"1.0\"", 1., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}}, None}, {{{0., 
       FormBox[
        TagBox[
         InterpretationBox["\"0.0\"", 0., AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.00025446325703116525`, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"0.5\"", 0.49999999999999994`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0005089265140623305, 
       FormBox[
        TagBox[
         InterpretationBox["\"1.0\"", 0.9999999999999999, AutoDelete -> True],
          NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0007633897710934958, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"1.5\"", 1.4999999999999998`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.001017853028124661, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"2.0\"", 1.9999999999999998`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0012723162851558264`, 
       FormBox[
        TagBox[
         InterpretationBox["\"2.5\"", 2.5, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}, {0.0015267795421869915`, 
       FormBox[
        TagBox[
         InterpretationBox[
         "\"3.0\"", 2.9999999999999996`, AutoDelete -> True], 
         NumberForm[#, {2, 1}, 
          ExponentFunction -> (If[-2 < # < 2, Null, #]& )]& ], 
        TraditionalForm], {0, -0.02}}}, None}},
  ImageSize->800,
  LabelStyle->Directive[18, FontFamily -> "Arial"],
  PlotRange->{-0.05, 1.05},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.612019629874008*^9, 3.612019645708927*^9}, {
   3.61201970005763*^9, 3.61201972906248*^9}, 3.612019765043295*^9, {
   3.612019931208337*^9, 3.6120199345663643`*^9}, {3.612019986601139*^9, 
   3.612020060726012*^9}, 3.61202020589815*^9, 3.612022396484921*^9, {
   3.612022943418921*^9, 3.612022952769483*^9}, {3.6120229838218603`*^9, 
   3.61202299773657*^9}, 3.612023274901819*^9, 3.6120233117893343`*^9, 
   3.612023451171741*^9, 3.6120238662906017`*^9, 3.612024623333036*^9, 
   3.612024921607897*^9, 3.612025087150165*^9, 3.612025156919291*^9, {
   3.612025205054802*^9, 3.612025232788093*^9}, 3.612025278623808*^9, 
   3.612025324791725*^9, {3.612523824295064*^9, 3.6125238324109898`*^9}, 
   3.612523925074567*^9, 3.6125239692592907`*^9, {3.612524191988719*^9, 
   3.6125242143687773`*^9}, {3.612524344465478*^9, 3.612524490145603*^9}, 
   3.612525993489235*^9, 3.612526110785407*^9, 3.612526224774617*^9, {
   3.6125262668749332`*^9, 3.612526277157588*^9}, {3.612526956849444*^9, 
   3.61252697729992*^9}, {3.612527010801265*^9, 3.6125270419687233`*^9}, {
   3.612527090293182*^9, 3.612527094571863*^9}, {3.612527141389193*^9, 
   3.612527192557644*^9}, {3.61252726777772*^9, 3.612527296396797*^9}, 
   3.6125281278938007`*^9, 3.6125314769882708`*^9, 3.612531596873788*^9, 
   3.612803152557507*^9, 3.613142668111738*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\</Users/ckfisher/Dropbox/Bagging/Figures/bf_approx.png\>\"", ",", 
    "ApproxFig", ",", 
    RowBox[{"ImageResolution", "\[Rule]", "600"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\</Users/ckfisher/Dropbox/Bagging/Figures/bf_exact.png\>\"", ",", 
    "ExactFig", ",", 
    RowBox[{"ImageResolution", "\[Rule]", "600"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\</Users/ckfisher/Dropbox/Bagging/Figures/bf_MSE.png\>\"", ",", 
    "MSEFig", ",", 
    RowBox[{"ImageResolution", "\[Rule]", "600"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.612527454230158*^9, 3.612527468880328*^9}, {
  3.612527545228006*^9, 3.612527596429915*^9}}],

Cell[BoxData[
 RowBox[{"(*", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"CV", "=", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Check", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"foo", "=", 
          RowBox[{"{", "}"}]}], ";", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"0.5", 
               RowBox[{"(", 
                RowBox[{"1.0", "+", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"M", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], ")"}]}], ">", "0.5"}], 
             ",", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"foo", ",", "i"}], "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"M", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"y", "[", 
                 RowBox[{"[", "j", "]"}], "]"}], "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"PseudoInverse", "[", 
                    RowBox[{"Delete", "[", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transpose", "[", "X", "]"}], "[", 
                    RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "foo"}], 
                    "]"}], ",", 
                    RowBox[{"{", "j", "}"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Delete", "[", 
                    RowBox[{"y", ",", 
                    RowBox[{"{", "j", "}"}]}], "]"}]}], ")"}], ".", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transpose", "[", "X", "]"}], "[", 
                    RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "foo"}], 
                   "]"}], "[", 
                  RowBox[{"[", "j", "]"}], "]"}]}]}], ")"}], "^", "2"}], ",", 
             
             RowBox[{"{", 
              RowBox[{"j", ",", "1", ",", 
               RowBox[{"Length", "[", "y", "]"}]}], "}"}]}], "]"}], "/", 
           RowBox[{"Length", "[", "y", "]"}]}], "]"}]}], 
        "\[IndentingNewLine]", ",", "0.0"}], "]"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", 
        RowBox[{"Length", "[", "M", "]"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.612023354332326*^9, 3.612023418252596*^9}, {
   3.6120234577863903`*^9, 3.612023468570346*^9}, {3.6120235329473677`*^9, 
   3.612023536441079*^9}, {3.61202377191321*^9, 3.6120237747932262`*^9}, {
   3.612023835701008*^9, 3.612023851027422*^9}, {3.612024488969101*^9, 
   3.612024555685796*^9}, 3.612024600857205*^9, {3.612025824513276*^9, 
   3.6120258419991493`*^9}, {3.61202589831362*^9, 3.612025915794138*^9}, {
   3.612527345059091*^9, 3.612527438273924*^9}}]
},
WindowSize->{1920, 948},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1734, 45, 58, "Input"],
Cell[CellGroupData[{
Cell[2316, 69, 1042, 30, 58, "Input"],
Cell[3361, 101, 881, 14, 27, "Output"],
Cell[4245, 117, 856, 14, 27, "Output"],
Cell[5104, 133, 625, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5766, 149, 282, 9, 27, "Input"],
Cell[6051, 160, 252, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6340, 169, 116, 2, 27, "Input"],
Cell[6459, 173, 258, 4, 30, "Output"]
}, Open  ]],
Cell[6732, 180, 3121, 89, 223, "Input"],
Cell[CellGroupData[{
Cell[9878, 273, 69, 1, 27, "Input"],
Cell[9950, 276, 72, 1, 27, "Output"]
}, Open  ]],
Cell[10037, 280, 144, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[10206, 287, 129, 2, 27, "Input"],
Cell[10338, 291, 118, 3, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10493, 299, 69, 1, 27, "Input"],
Cell[10565, 302, 214, 3, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10816, 310, 69, 1, 27, "Input"],
Cell[10888, 313, 213, 3, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11138, 321, 141, 3, 27, "Input"],
Cell[11282, 326, 212, 3, 27, "Output"]
}, Open  ]],
Cell[11509, 332, 911, 27, 43, "Input"],
Cell[12423, 361, 1793, 45, 118, "Input"],
Cell[CellGroupData[{
Cell[14241, 410, 498, 16, 27, "Input"],
Cell[14742, 428, 185, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14964, 437, 200, 5, 27, "Input"],
Cell[15167, 444, 207, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15411, 453, 193, 5, 27, "Input"],
Cell[15607, 460, 236, 5, 27, "Output"]
}, Open  ]],
Cell[15858, 468, 325, 10, 27, "Input"],
Cell[CellGroupData[{
Cell[16208, 482, 156, 3, 27, "Input"],
Cell[16367, 487, 273, 5, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16677, 497, 7079, 174, 283, "Input"],
Cell[23759, 673, 191, 4, 27, "Output"]
}, Open  ]],
Cell[23965, 680, 494, 16, 27, "Input"],
Cell[CellGroupData[{
Cell[24484, 700, 566, 17, 27, "Input"],
Cell[25053, 719, 11913, 214, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37003, 938, 857, 21, 27, "Input"],
Cell[37863, 961, 1661, 33, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39561, 999, 11692, 307, 598, "Input"],
Cell[51256, 1308, 20556, 389, 233, "Output"],
Cell[71815, 1699, 20372, 383, 233, "Output"],
Cell[92190, 2084, 6381, 138, 233, "Output"]
}, Open  ]],
Cell[98586, 2225, 822, 22, 58, "Input"],
Cell[99411, 2249, 3535, 86, 133, "Input"]
}
]
*)

(* End of internal cache information *)
